#include "program-6-client.h"

void flick_marshal_stub_sa(flick_marshal_stream_t _stream, const struct sa *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_signed32(4, _data->b);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_signed32(4, _data->b);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_sb(flick_marshal_stream_t _stream, const struct sb *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->a.a);
  flick_fluke_encode_signed32(4, _data->a.b);
  flick_fluke_encode_signed32(8, _data->b.a);
  flick_fluke_encode_signed32(12, _data->b.b);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
}

void flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->a.a);
  flick_fluke_decode_signed32(4, _data->a.b);
  flick_fluke_decode_signed32(8, _data->b.a);
  flick_fluke_decode_signed32(12, _data->b.b);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->long_list_len);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->long_list_len);
  flick_fluke_encode_new_chunk(4 * _data->long_list_len);
  flick_fluke_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_encode_end_chunk(4 * _data->long_list_len);
  flick_fluke_encode_end_glob(4 * _data->long_list_len);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_list_len);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->long_list_len);
  flick_fluke_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_fluke_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_decode_end_chunk(4 * _data->long_list_len);
  flick_fluke_decode_end_glob(4 * _data->long_list_len);
}

void flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, const sb_list *_data)
{
  unsigned long int _t0_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->sb_list_len);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(16 * _data->sb_list_len);
  for (_t0_array_iter = 0; _t0_array_iter < _data->sb_list_len; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_signed32(0, _data->sb_list_val[_t0_array_iter].a.a);
      flick_fluke_encode_signed32(4, _data->sb_list_val[_t0_array_iter].a.b);
      flick_fluke_encode_signed32(8, _data->sb_list_val[_t0_array_iter].b.a);
      flick_fluke_encode_signed32(12, _data->sb_list_val[_t0_array_iter].b.b);
      flick_fluke_encode_end_chunk(16);
    }
  flick_fluke_encode_end_glob(16 * _data->sb_list_len);
}

void flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->sb_list_len);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(16 * _data->sb_list_len);
  _data->sb_list_val = sun_flick_alloc(_data->sb_list_len * sizeof(struct sb ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->sb_list_len; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(16);
      flick_fluke_decode_signed32(0, _data->sb_list_val[_t1_array_iter].a.a);
      flick_fluke_decode_signed32(4, _data->sb_list_val[_t1_array_iter].a.b);
      flick_fluke_decode_signed32(8, _data->sb_list_val[_t1_array_iter].b.a);
      flick_fluke_decode_signed32(12, _data->sb_list_val[_t1_array_iter].b.b);
      flick_fluke_decode_end_chunk(16);
    }
  flick_fluke_decode_end_glob(16 * _data->sb_list_len);
}

int *long_test_50(long_list *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 7);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, arg->long_list_len);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(4 * arg->long_list_len);
    flick_fluke_encode_new_chunk(4 * arg->long_list_len);
    flick_fluke_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
    flick_fluke_encode_end_chunk(4 * arg->long_list_len);
    flick_fluke_encode_end_glob(4 * arg->long_list_len);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t3_storage;

          /* Begin decode phase on parameters */
          _return = &_t3_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *sb_test_50(sb_list *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    unsigned long int _t5_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 8);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, arg->sb_list_len);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(16 * arg->sb_list_len);
    for (_t5_array_iter = 0; _t5_array_iter < arg->sb_list_len; _t5_array_iter++)
      {
        flick_fluke_encode_new_chunk(16);
        flick_fluke_encode_signed32(0, arg->sb_list_val[_t5_array_iter].a.a);
        flick_fluke_encode_signed32(4, arg->sb_list_val[_t5_array_iter].a.b);
        flick_fluke_encode_signed32(8, arg->sb_list_val[_t5_array_iter].b.a);
        flick_fluke_encode_signed32(12, arg->sb_list_val[_t5_array_iter].b.b);
        flick_fluke_encode_end_chunk(16);
      }
    flick_fluke_encode_end_glob(16 * arg->sb_list_len);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t7_storage;

          /* Begin decode phase on parameters */
          _return = &_t7_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

