#include "string_-client.h"

void flick_marshal_stub_str(flick_marshal_stream_t _stream, const str *_data)
{
  flick_fluke_encode_string(_data->s10, null_flick_free, fluke, 10);
  flick_fluke_encode_new_glob(7);
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(7);
  flick_fluke_encode_longstring(_data->sx, null_flick_free, fluke);
  flick_fluke_encode_new_glob(3);
  flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_encode_signed16(0, _data->b);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(3);
}

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, str *_data)
{
  flick_fluke_decode_string(_data->s10, mom_flick_alloc, fluke, 10);
  flick_fluke_decode_new_glob(7);
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(7);
  flick_fluke_decode_longstring(_data->sx, mom_flick_alloc, fluke);
  flick_fluke_decode_new_glob(3);
  flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_decode_signed16(0, _data->b);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(3);
}

char *test_String(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_String);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(a, null_flick_free, fluke);
    flick_fluke_encode_longstring(*b, mom_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*b, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*c, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

str *test_Struct(mom_ref_t _obj, const str *a, str *b, str **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  str *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_Struct);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_string(a->s10, null_flick_free, fluke, 10);
    flick_fluke_encode_new_glob(7);
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, a->a);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(7);
    flick_fluke_encode_longstring(a->sx, null_flick_free, fluke);
    flick_fluke_encode_new_glob(3);
    flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
    flick_fluke_encode_signed16(0, a->b);
    flick_fluke_encode_end_chunk(2);
    flick_fluke_encode_end_glob(3);
    flick_fluke_encode_string(b->s10, null_flick_free, fluke, 10);
    flick_fluke_encode_new_glob(7);
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, b->a);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(7);
    flick_fluke_encode_longstring(b->sx, null_flick_free, fluke);
    flick_fluke_encode_new_glob(3);
    flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
    flick_fluke_encode_signed16(0, b->b);
    flick_fluke_encode_end_chunk(2);
    flick_fluke_encode_end_glob(3);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(str ));
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_string(_return->s10, mom_flick_alloc, fluke, 10);
          flick_fluke_decode_new_glob(7);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, _return->a);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(7);
          flick_fluke_decode_longstring(_return->sx, mom_flick_alloc, fluke);
          flick_fluke_decode_new_glob(3);
          flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
          flick_fluke_decode_signed16(0, _return->b);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(3);
          flick_fluke_decode_string(b->s10, mom_flick_alloc, fluke, 10);
          flick_fluke_decode_new_glob(7);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, b->a);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(7);
          flick_fluke_decode_longstring(b->sx, mom_flick_alloc, fluke);
          flick_fluke_decode_new_glob(3);
          flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
          flick_fluke_decode_signed16(0, b->b);
          *c = mom_flick_alloc(sizeof(str ));
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(3);
          flick_fluke_decode_string((*c)->s10, mom_flick_alloc, fluke, 10);
          flick_fluke_decode_new_glob(7);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, (*c)->a);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(7);
          flick_fluke_decode_longstring((*c)->sx, mom_flick_alloc, fluke);
          flick_fluke_decode_new_glob(3);
          flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
          flick_fluke_decode_signed16(0, (*c)->b);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

