#include "mig-arrays-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t113_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t113_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t113_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            t64B _local_foo;
            kern_return_t _return;
            unsigned int _t114_principal_len;
            unsigned *_t115_internal;
            flick_unsigned8_t _t116_array_length;
            flick_unsigned8_t _t117_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t114_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t114_principal_len);
            flick_iiop_decode_new_chunk(_t114_principal_len);
            flick_iiop_decode_end_chunk(_t114_principal_len);
            flick_iiop_decode_end_glob(_t114_principal_len);
            /* Begin decode phase on parameters */
            _t115_internal = (unsigned *)_local_foo;
            _t116_array_length = 16;
            flick_iiop_decode_new_glob(112);
            for (_t117_array_iter = 0; _t117_array_iter < _t116_array_length; _t117_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t115_internal[_t117_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(112);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            t128B _local_foo;
            kern_return_t _return;
            unsigned int _t118_principal_len;
            unsigned *_t119_internal;
            flick_unsigned8_t _t120_array_length;
            flick_unsigned8_t _t121_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t118_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t118_principal_len);
            flick_iiop_decode_new_chunk(_t118_principal_len);
            flick_iiop_decode_end_chunk(_t118_principal_len);
            flick_iiop_decode_end_glob(_t118_principal_len);
            /* Begin decode phase on parameters */
            _t119_internal = (unsigned *)_local_foo;
            _t120_array_length = 32;
            flick_iiop_decode_new_glob(224);
            for (_t121_array_iter = 0; _t121_array_iter < _t120_array_length; _t121_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t119_internal[_t121_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(224);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            t256B _local_foo;
            kern_return_t _return;
            unsigned int _t122_principal_len;
            unsigned *_t123_internal;
            flick_unsigned8_t _t124_array_length;
            flick_unsigned8_t _t125_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t122_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t122_principal_len);
            flick_iiop_decode_new_chunk(_t122_principal_len);
            flick_iiop_decode_end_chunk(_t122_principal_len);
            flick_iiop_decode_end_glob(_t122_principal_len);
            /* Begin decode phase on parameters */
            _t123_internal = (unsigned *)_local_foo;
            _t124_array_length = 64;
            flick_iiop_decode_new_glob(448);
            for (_t125_array_iter = 0; _t125_array_iter < _t124_array_length; _t125_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t123_internal[_t125_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(448);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            t512B _local_foo;
            kern_return_t _return;
            unsigned int _t126_principal_len;
            unsigned *_t127_internal;
            flick_unsigned8_t _t128_array_length;
            flick_unsigned8_t _t129_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t126_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t126_principal_len);
            flick_iiop_decode_new_chunk(_t126_principal_len);
            flick_iiop_decode_end_chunk(_t126_principal_len);
            flick_iiop_decode_end_glob(_t126_principal_len);
            /* Begin decode phase on parameters */
            _t127_internal = (unsigned *)_local_foo;
            _t128_array_length = 128;
            flick_iiop_decode_new_glob(896);
            for (_t129_array_iter = 0; _t129_array_iter < _t128_array_length; _t129_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t127_internal[_t129_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(896);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            t1K _local_data;
            kern_return_t _return;
            unsigned int _t130_principal_len;
            unsigned *_t131_internal;
            flick_unsigned16_t _t132_array_length;
            flick_unsigned16_t _t133_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t130_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t130_principal_len);
            flick_iiop_decode_new_chunk(_t130_principal_len);
            flick_iiop_decode_end_chunk(_t130_principal_len);
            flick_iiop_decode_end_glob(_t130_principal_len);
            /* Begin decode phase on parameters */
            _t131_internal = (unsigned *)_local_data;
            _t132_array_length = 256;
            flick_iiop_decode_new_glob(1792);
            for (_t133_array_iter = 0; _t133_array_iter < _t132_array_length; _t133_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t131_internal[_t133_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(1792);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            t2K _local_data;
            kern_return_t _return;
            unsigned int _t134_principal_len;
            unsigned *_t135_internal;
            flick_unsigned16_t _t136_array_length;
            flick_unsigned16_t _t137_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t134_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t134_principal_len);
            flick_iiop_decode_new_chunk(_t134_principal_len);
            flick_iiop_decode_end_chunk(_t134_principal_len);
            flick_iiop_decode_end_glob(_t134_principal_len);
            /* Begin decode phase on parameters */
            _t135_internal = (unsigned *)_local_data;
            _t136_array_length = 512;
            flick_iiop_decode_new_glob(3584);
            for (_t137_array_iter = 0; _t137_array_iter < _t136_array_length; _t137_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t135_internal[_t137_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(3584);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            t4K _local_data;
            kern_return_t _return;
            unsigned int _t138_principal_len;
            unsigned *_t139_internal;
            flick_unsigned16_t _t140_array_length;
            flick_unsigned16_t _t141_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t138_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t138_principal_len);
            flick_iiop_decode_new_chunk(_t138_principal_len);
            flick_iiop_decode_end_chunk(_t138_principal_len);
            flick_iiop_decode_end_glob(_t138_principal_len);
            /* Begin decode phase on parameters */
            _t139_internal = (unsigned *)_local_data;
            _t140_array_length = 1024;
            flick_iiop_decode_new_glob(7168);
            for (_t141_array_iter = 0; _t141_array_iter < _t140_array_length; _t141_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t139_internal[_t141_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(7168);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            t8K _local_data;
            kern_return_t _return;
            unsigned int _t142_principal_len;
            unsigned *_t143_internal;
            flick_unsigned16_t _t144_array_length;
            flick_unsigned16_t _t145_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t142_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t142_principal_len);
            flick_iiop_decode_new_chunk(_t142_principal_len);
            flick_iiop_decode_end_chunk(_t142_principal_len);
            flick_iiop_decode_end_glob(_t142_principal_len);
            /* Begin decode phase on parameters */
            _t143_internal = (unsigned *)_local_data;
            _t144_array_length = 2048;
            flick_iiop_decode_new_glob(7 * _t144_array_length);
            for (_t145_array_iter = 0; _t145_array_iter < _t144_array_length; _t145_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t143_internal[_t145_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(7 * _t144_array_length);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            t16K _local_data;
            kern_return_t _return;
            unsigned int _t146_principal_len;
            unsigned *_t147_internal;
            flick_unsigned16_t _t148_array_length;
            flick_unsigned16_t _t149_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t146_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t146_principal_len);
            flick_iiop_decode_new_chunk(_t146_principal_len);
            flick_iiop_decode_end_chunk(_t146_principal_len);
            flick_iiop_decode_end_glob(_t146_principal_len);
            /* Begin decode phase on parameters */
            _t147_internal = (unsigned *)_local_data;
            _t148_array_length = 4096;
            flick_iiop_decode_new_glob(7 * _t148_array_length);
            for (_t149_array_iter = 0; _t149_array_iter < _t148_array_length; _t149_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t147_internal[_t149_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(7 * _t148_array_length);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            t32K _local_data;
            kern_return_t _return;
            unsigned int _t150_principal_len;
            unsigned *_t151_internal;
            flick_unsigned16_t _t152_array_length;
            flick_unsigned16_t _t153_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t150_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t150_principal_len);
            flick_iiop_decode_new_chunk(_t150_principal_len);
            flick_iiop_decode_end_chunk(_t150_principal_len);
            flick_iiop_decode_end_glob(_t150_principal_len);
            /* Begin decode phase on parameters */
            _t151_internal = (unsigned *)_local_data;
            _t152_array_length = 8192;
            flick_iiop_decode_new_glob(7 * _t152_array_length);
            for (_t153_array_iter = 0; _t153_array_iter < _t152_array_length; _t153_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t151_internal[_t153_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(7 * _t152_array_length);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            t64K _local_data;
            kern_return_t _return;
            unsigned int _t154_principal_len;
            unsigned *_t155_internal;
            flick_unsigned16_t _t156_array_length;
            flick_unsigned16_t _t157_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t154_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t154_principal_len);
            flick_iiop_decode_new_chunk(_t154_principal_len);
            flick_iiop_decode_end_chunk(_t154_principal_len);
            flick_iiop_decode_end_glob(_t154_principal_len);
            /* Begin decode phase on parameters */
            _t155_internal = (unsigned *)_local_data;
            _t156_array_length = 16384;
            flick_iiop_decode_new_glob(7 * _t156_array_length);
            for (_t157_array_iter = 0; _t157_array_iter < _t156_array_length; _t157_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t155_internal[_t157_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(7 * _t156_array_length);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t34_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t34_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t34_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            t64B _local_foo;
            kern_return_t _return;
            unsigned int _t35_principal_len;
            unsigned *_t36_internal;
            flick_unsigned8_t _t37_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t35_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t35_principal_len);
            flick_iiop_decode_new_chunk(_t35_principal_len);
            flick_iiop_decode_end_chunk(_t35_principal_len);
            flick_iiop_decode_end_glob(_t35_principal_len);
            /* Begin decode phase on parameters */
            _t36_internal = (unsigned *)_local_foo;
            _t37_array_length = 16;
            flick_iiop_decode_new_glob(67);
            flick_iiop_decode_new_chunk_align(64, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t36_internal, 4 * _t37_array_length);
            flick_iiop_decode_end_chunk(64);
            flick_iiop_decode_end_glob(67);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            t128B _local_foo;
            kern_return_t _return;
            unsigned int _t38_principal_len;
            unsigned *_t39_internal;
            flick_unsigned8_t _t40_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t38_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t38_principal_len);
            flick_iiop_decode_new_chunk(_t38_principal_len);
            flick_iiop_decode_end_chunk(_t38_principal_len);
            flick_iiop_decode_end_glob(_t38_principal_len);
            /* Begin decode phase on parameters */
            _t39_internal = (unsigned *)_local_foo;
            _t40_array_length = 32;
            flick_iiop_decode_new_glob(131);
            flick_iiop_decode_new_chunk_align(128, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t39_internal, 4 * _t40_array_length);
            flick_iiop_decode_end_chunk(128);
            flick_iiop_decode_end_glob(131);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            t256B _local_foo;
            kern_return_t _return;
            unsigned int _t41_principal_len;
            unsigned *_t42_internal;
            flick_unsigned8_t _t43_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t41_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t41_principal_len);
            flick_iiop_decode_new_chunk(_t41_principal_len);
            flick_iiop_decode_end_chunk(_t41_principal_len);
            flick_iiop_decode_end_glob(_t41_principal_len);
            /* Begin decode phase on parameters */
            _t42_internal = (unsigned *)_local_foo;
            _t43_array_length = 64;
            flick_iiop_decode_new_glob(259);
            flick_iiop_decode_new_chunk_align(256, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t42_internal, 4 * _t43_array_length);
            flick_iiop_decode_end_chunk(256);
            flick_iiop_decode_end_glob(259);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            t512B _local_foo;
            kern_return_t _return;
            unsigned int _t44_principal_len;
            unsigned *_t45_internal;
            flick_unsigned8_t _t46_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t44_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t44_principal_len);
            flick_iiop_decode_new_chunk(_t44_principal_len);
            flick_iiop_decode_end_chunk(_t44_principal_len);
            flick_iiop_decode_end_glob(_t44_principal_len);
            /* Begin decode phase on parameters */
            _t45_internal = (unsigned *)_local_foo;
            _t46_array_length = 128;
            flick_iiop_decode_new_glob(515);
            flick_iiop_decode_new_chunk_align(512, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t45_internal, 4 * _t46_array_length);
            flick_iiop_decode_end_chunk(512);
            flick_iiop_decode_end_glob(515);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            t1K _local_data;
            kern_return_t _return;
            unsigned int _t47_principal_len;
            unsigned *_t48_internal;
            flick_unsigned16_t _t49_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t47_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t47_principal_len);
            flick_iiop_decode_new_chunk(_t47_principal_len);
            flick_iiop_decode_end_chunk(_t47_principal_len);
            flick_iiop_decode_end_glob(_t47_principal_len);
            /* Begin decode phase on parameters */
            _t48_internal = (unsigned *)_local_data;
            _t49_array_length = 256;
            flick_iiop_decode_new_glob(1027);
            flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t48_internal, 4 * _t49_array_length);
            flick_iiop_decode_end_chunk(1024);
            flick_iiop_decode_end_glob(1027);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            t2K _local_data;
            kern_return_t _return;
            unsigned int _t50_principal_len;
            unsigned *_t51_internal;
            flick_unsigned16_t _t52_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t50_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t50_principal_len);
            flick_iiop_decode_new_chunk(_t50_principal_len);
            flick_iiop_decode_end_chunk(_t50_principal_len);
            flick_iiop_decode_end_glob(_t50_principal_len);
            /* Begin decode phase on parameters */
            _t51_internal = (unsigned *)_local_data;
            _t52_array_length = 512;
            flick_iiop_decode_new_glob(2051);
            flick_iiop_decode_new_chunk_align(2048, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t51_internal, 4 * _t52_array_length);
            flick_iiop_decode_end_chunk(2048);
            flick_iiop_decode_end_glob(2051);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            t4K _local_data;
            kern_return_t _return;
            unsigned int _t53_principal_len;
            unsigned *_t54_internal;
            flick_unsigned16_t _t55_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t53_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t53_principal_len);
            flick_iiop_decode_new_chunk(_t53_principal_len);
            flick_iiop_decode_end_chunk(_t53_principal_len);
            flick_iiop_decode_end_glob(_t53_principal_len);
            /* Begin decode phase on parameters */
            _t54_internal = (unsigned *)_local_data;
            _t55_array_length = 1024;
            flick_iiop_decode_new_glob(4099);
            flick_iiop_decode_new_chunk_align(4096, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t54_internal, 4 * _t55_array_length);
            flick_iiop_decode_end_chunk(4096);
            flick_iiop_decode_end_glob(4099);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            t8K _local_data;
            kern_return_t _return;
            unsigned int _t56_principal_len;
            unsigned *_t57_internal;
            flick_unsigned16_t _t58_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t56_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t56_principal_len);
            flick_iiop_decode_new_chunk(_t56_principal_len);
            flick_iiop_decode_end_chunk(_t56_principal_len);
            flick_iiop_decode_end_glob(_t56_principal_len);
            /* Begin decode phase on parameters */
            _t57_internal = (unsigned *)_local_data;
            _t58_array_length = 2048;
            flick_iiop_decode_new_glob(8195);
            flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t57_internal, 4 * _t58_array_length);
            flick_iiop_decode_end_chunk(8192);
            flick_iiop_decode_end_glob(8195);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            t16K _local_data;
            kern_return_t _return;
            unsigned int _t59_principal_len;
            unsigned *_t60_internal;
            flick_unsigned16_t _t61_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t59_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t59_principal_len);
            flick_iiop_decode_new_chunk(_t59_principal_len);
            flick_iiop_decode_end_chunk(_t59_principal_len);
            flick_iiop_decode_end_glob(_t59_principal_len);
            /* Begin decode phase on parameters */
            _t60_internal = (unsigned *)_local_data;
            _t61_array_length = 4096;
            flick_iiop_decode_new_glob(3 + 4 * _t61_array_length);
            flick_iiop_decode_new_chunk_align(16384, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t60_internal, 4 * _t61_array_length);
            flick_iiop_decode_end_chunk(16384);
            flick_iiop_decode_end_glob(3 + 4 * _t61_array_length);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            t32K _local_data;
            kern_return_t _return;
            unsigned int _t62_principal_len;
            unsigned *_t63_internal;
            flick_unsigned16_t _t64_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t62_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t62_principal_len);
            flick_iiop_decode_new_chunk(_t62_principal_len);
            flick_iiop_decode_end_chunk(_t62_principal_len);
            flick_iiop_decode_end_glob(_t62_principal_len);
            /* Begin decode phase on parameters */
            _t63_internal = (unsigned *)_local_data;
            _t64_array_length = 8192;
            flick_iiop_decode_new_glob(3 + 4 * _t64_array_length);
            flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t63_internal, 4 * _t64_array_length);
            flick_iiop_decode_end_chunk(32768);
            flick_iiop_decode_end_glob(3 + 4 * _t64_array_length);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            t64K _local_data;
            kern_return_t _return;
            unsigned int _t65_principal_len;
            unsigned *_t66_internal;
            flick_unsigned16_t _t67_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t65_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t65_principal_len);
            flick_iiop_decode_new_chunk(_t65_principal_len);
            flick_iiop_decode_end_chunk(_t65_principal_len);
            flick_iiop_decode_end_glob(_t65_principal_len);
            /* Begin decode phase on parameters */
            _t66_internal = (unsigned *)_local_data;
            _t67_array_length = 16384;
            flick_iiop_decode_new_glob(3 + 4 * _t67_array_length);
            flick_iiop_decode_new_chunk_align(65536, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t66_internal, 4 * _t67_array_length);
            flick_iiop_decode_end_chunk(65536);
            flick_iiop_decode_end_glob(3 + 4 * _t67_array_length);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
