#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550001);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, inInt);
    flick_cdr_encode_signed32(12, *inoutInt);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_signed32(0, *inoutInt);
            flick_cdr_swap_decode_signed32(4, *outInt);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, *inoutInt);
            flick_cdr_decode_signed32(4, *outInt);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t2_internal;
    unsigned *_t3_internal;

    flick_iiop_encode_new_glob(808);
    flick_iiop_encode_new_chunk(808);
    flick_cdr_encode_signed32(0, 5550002);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t2_internal = (unsigned *)(&(inStruct));
    flick_cdr_encode_bcopy(8, _t2_internal, 4 * 100);
    _t3_internal = (unsigned *)(&(*inoutStruct));
    flick_cdr_encode_bcopy(408, _t3_internal, 4 * 100);
    flick_iiop_encode_end_chunk(808);
    flick_iiop_encode_end_glob(808);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(804);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t18_internal;
            flick_unsigned8_t _t19_array_length;
            flick_unsigned8_t _t20_array_iter;
            unsigned *_t21_internal;
            flick_unsigned8_t _t22_array_length;
            flick_unsigned8_t _t23_array_iter;

            /* Begin decode phase on parameters */
            _t18_internal = (unsigned *)(&(*inoutStruct));
            _t19_array_length = 100;
            for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t18_internal[_t20_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t21_internal = (unsigned *)(&(*outStruct));
            _t22_array_length = 100;
            for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t21_internal[_t23_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(804);
    }
  } else {
    {
      flick_iiop_decode_new_glob(804);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t8_internal;
            flick_unsigned8_t _t9_array_length;
            unsigned *_t10_internal;
            flick_unsigned8_t _t11_array_length;

            /* Begin decode phase on parameters */
            _t8_internal = (unsigned *)(&(*inoutStruct));
            _t9_array_length = 100;
            flick_iiop_decode_new_chunk(800);
            flick_cdr_decode_bcopy(0, _t8_internal, 4 * _t9_array_length);
            _t10_internal = (unsigned *)(&(*outStruct));
            _t11_array_length = 100;
            flick_cdr_decode_bcopy(400, _t10_internal, 4 * _t11_array_length);
            flick_iiop_decode_end_chunk(800);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(804);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t26_internal;
    unsigned *_t27_internal;

    flick_iiop_encode_new_glob(2408);
    flick_iiop_encode_new_chunk(2408);
    flick_cdr_encode_signed32(0, 5550003);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t26_internal = (unsigned *)inArray;
    flick_cdr_encode_bcopy(8, _t26_internal, 4 * 300);
    _t27_internal = (unsigned *)inoutArray;
    flick_cdr_encode_bcopy(1208, _t27_internal, 4 * 300);
    flick_iiop_encode_end_chunk(2408);
    flick_iiop_encode_end_glob(2408);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(2404);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t42_internal;
            flick_unsigned16_t _t43_array_length;
            flick_unsigned16_t _t44_array_iter;
            unsigned *_t45_internal;
            flick_unsigned16_t _t46_array_length;
            flick_unsigned16_t _t47_array_iter;

            /* Begin decode phase on parameters */
            _t42_internal = (unsigned *)inoutArray;
            _t43_array_length = 300;
            for (_t44_array_iter = 0; _t44_array_iter < _t43_array_length; _t44_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t42_internal[_t44_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t45_internal = (unsigned *)outArray;
            _t46_array_length = 300;
            for (_t47_array_iter = 0; _t47_array_iter < _t46_array_length; _t47_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t45_internal[_t47_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(2404);
    }
  } else {
    {
      flick_iiop_decode_new_glob(2404);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t32_internal;
            flick_unsigned16_t _t33_array_length;
            unsigned *_t34_internal;
            flick_unsigned16_t _t35_array_length;

            /* Begin decode phase on parameters */
            _t32_internal = (unsigned *)inoutArray;
            _t33_array_length = 300;
            flick_iiop_decode_new_chunk(2400);
            flick_cdr_decode_bcopy(0, _t32_internal, 4 * _t33_array_length);
            _t34_internal = (unsigned *)outArray;
            _t35_array_length = 300;
            flick_cdr_decode_bcopy(1200, _t34_internal, 4 * _t35_array_length);
            flick_iiop_decode_end_chunk(2400);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(2404);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(2008);
    flick_iiop_encode_new_chunk(8 + 4 * inArrayCnt);
    flick_cdr_encode_signed32(0, 5550004);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(8 + 4 * inArrayCnt);
    flick_iiop_encode_end_glob(2008);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(2004);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t49_array_iter;

            /* Begin decode phase on parameters */
            for (_t49_array_iter = 0; _t49_array_iter < *outArrayCnt; _t49_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t49_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(2004);
    }
  } else {
    {
      flick_iiop_decode_new_glob(2004);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(2004);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550005);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(4 * inArrayCnt);
    flick_iiop_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(4 * inArrayCnt);
    flick_iiop_encode_end_glob(4 * inArrayCnt);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t51_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            *outArray = mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned ));
            for (_t51_array_iter = 0; _t51_array_iter < *outArrayCnt; _t51_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t51_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            *outArray = mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned ));
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    char *_t54_internal;
    char *_t55_internal;

    flick_iiop_encode_new_glob(1606);
    flick_iiop_encode_new_chunk(1606);
    flick_cdr_encode_signed32(0, 5550006);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t54_internal = (char *)inString;
    flick_cdr_encode_bcopy(8, _t54_internal, 1 * 799);
    _t55_internal = (char *)inoutString;
    flick_cdr_encode_bcopy(807, _t55_internal, 1 * 799);
    flick_iiop_encode_end_chunk(1606);
    flick_iiop_encode_end_glob(1606);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1602);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t70_internal;
            flick_unsigned16_t _t71_array_length;
            flick_unsigned16_t _t72_array_iter;
            char *_t73_internal;
            flick_unsigned16_t _t74_array_length;
            flick_unsigned16_t _t75_array_iter;

            /* Begin decode phase on parameters */
            _t70_internal = (char *)inoutString;
            _t71_array_length = 799;
            for (_t72_array_iter = 0; _t72_array_iter < _t71_array_length; _t72_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t70_internal[_t72_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t73_internal = (char *)outString;
            _t74_array_length = 799;
            for (_t75_array_iter = 0; _t75_array_iter < _t74_array_length; _t75_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t73_internal[_t75_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1602);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1602);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t60_internal;
            flick_unsigned16_t _t61_array_length;
            char *_t62_internal;
            flick_unsigned16_t _t63_array_length;

            /* Begin decode phase on parameters */
            _t60_internal = (char *)inoutString;
            _t61_array_length = 799;
            flick_iiop_decode_new_chunk(1598);
            flick_cdr_decode_bcopy(0, _t60_internal, 1 * _t61_array_length);
            _t62_internal = (char *)outString;
            _t63_array_length = 799;
            flick_cdr_decode_bcopy(799, _t62_internal, 1 * _t63_array_length);
            flick_iiop_decode_end_chunk(1598);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1602);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550007);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_cdr_encode_string(inString, null_flick_free, iiop, 997);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_string(outString, null_flick_alloc, iiop, 997);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_string(outString, null_flick_alloc, iiop, 997);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550008);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_cdr_encode_IOR(iiop, inRight, 1);
    flick_iiop_mark_port_for_cleanup(inRight, 1);
    flick_cdr_encode_IOR(iiop, *inoutRight, 0);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_IOR(iiop, *inoutRight, 1);
            flick_cdr_swap_decode_IOR(iiop, *outRight, 1);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_IOR(iiop, *inoutRight, 1);
            flick_cdr_decode_IOR(iiop, *outRight, 1);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    mach_msg_type_number_t _t77_array_iter;

    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550009);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    for (_t77_array_iter = 0; _t77_array_iter < inRightCnt; _t77_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, inRight[_t77_array_iter], 1);
        flick_iiop_mark_port_for_cleanup(inRight[_t77_array_iter], 1);
      }
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t81_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
            for (_t81_array_iter = 0; _t81_array_iter < *outRightCnt; _t81_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*outRight)[_t81_array_iter], 1);
              }
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t79_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
            for (_t79_array_iter = 0; _t79_array_iter < *outRightCnt; _t79_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*outRight)[_t79_array_iter], 1);
              }
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550011);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inInt);
    flick_cdr_encode_unsigned32(12, *inoutInt);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned8_t _t88_array_length;
            flick_unsigned8_t _t89_array_length;

            /* Begin decode phase on parameters */
            _t88_array_length = 1;
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutInt);
            _t89_array_length = 1;
            flick_cdr_swap_decode_unsigned32(4, *outInt);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned8_t _t84_array_length;
            flick_unsigned8_t _t85_array_length;

            /* Begin decode phase on parameters */
            _t84_array_length = 1;
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutInt);
            _t85_array_length = 1;
            flick_cdr_decode_unsigned32(4, *outInt);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550012);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inStruct);
    flick_cdr_encode_unsigned32(12, *inoutStruct);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned8_t _t96_array_length;
            flick_unsigned8_t _t97_array_length;

            /* Begin decode phase on parameters */
            _t96_array_length = 1;
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutStruct);
            _t97_array_length = 1;
            flick_cdr_swap_decode_unsigned32(4, *outStruct);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned8_t _t92_array_length;
            flick_unsigned8_t _t93_array_length;

            /* Begin decode phase on parameters */
            _t92_array_length = 1;
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutStruct);
            _t93_array_length = 1;
            flick_cdr_decode_unsigned32(4, *outStruct);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550013);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArray);
    flick_cdr_encode_unsigned32(12, *inoutArray);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned8_t _t104_array_length;
            flick_unsigned8_t _t105_array_length;

            /* Begin decode phase on parameters */
            _t104_array_length = 1;
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutArray);
            _t105_array_length = 1;
            flick_cdr_swap_decode_unsigned32(4, *outArray);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned8_t _t100_array_length;
            flick_unsigned8_t _t101_array_length;

            /* Begin decode phase on parameters */
            _t100_array_length = 1;
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArray);
            _t101_array_length = 1;
            flick_cdr_decode_unsigned32(4, *outArray);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550014);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArray);
    flick_cdr_encode_unsigned32(12, *inoutArray);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutArray);
            flick_cdr_swap_decode_unsigned32(4, *outArray);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArray);
            flick_cdr_decode_unsigned32(4, *outArray);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550015);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inString);
    flick_cdr_encode_unsigned32(12, *inoutString);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned8_t _t112_array_length;
            flick_unsigned8_t _t113_array_length;

            /* Begin decode phase on parameters */
            _t112_array_length = 1;
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutString);
            _t113_array_length = 1;
            flick_cdr_swap_decode_unsigned32(4, *outString);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned8_t _t108_array_length;
            flick_unsigned8_t _t109_array_length;

            /* Begin decode phase on parameters */
            _t108_array_length = 1;
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutString);
            _t109_array_length = 1;
            flick_cdr_decode_unsigned32(4, *outString);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550016);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRight);
    flick_cdr_encode_unsigned32(12, *inoutRight);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutRight);
            flick_cdr_swap_decode_unsigned32(4, *outRight);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRight);
            flick_cdr_decode_unsigned32(4, *outRight);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

