#include "mig-tests-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t245_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t245_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t245_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint *_local_outInt;
            kern_return_t _return;
            unsigned int _t246_principal_len;
            Iint _t247_storage;
            Iint _t248_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t246_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t246_principal_len);
            flick_iiop_decode_new_chunk(_t246_principal_len);
            flick_iiop_decode_end_chunk(_t246_principal_len);
            flick_iiop_decode_end_glob(_t246_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_inInt);
            _local_inoutInt = &_t247_storage;
            flick_cdr_swap_decode_signed32(4, *_local_inoutInt);
            _local_outInt = &_t248_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, *_local_inoutInt);
                  flick_cdr_encode_signed32(4, *_local_outInt);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            IFstruct _local_inStruct;
            IFstruct *_local_inoutStruct;
            IFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned int _t249_principal_len;
            unsigned *_t250_internal;
            flick_unsigned8_t _t251_array_length;
            flick_unsigned8_t _t252_array_iter;
            IFstruct _t253_storage;
            unsigned *_t254_internal;
            flick_unsigned8_t _t255_array_length;
            flick_unsigned8_t _t256_array_iter;
            IFstruct _t257_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t249_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t249_principal_len);
            flick_iiop_decode_new_chunk(_t249_principal_len);
            flick_iiop_decode_end_chunk(_t249_principal_len);
            flick_iiop_decode_end_glob(_t249_principal_len);
            /* Begin decode phase on parameters */
            _t250_internal = (unsigned *)(&(_local_inStruct));
            _t251_array_length = 100;
            flick_iiop_decode_new_glob(1100);
            for (_t252_array_iter = 0; _t252_array_iter < _t251_array_length; _t252_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t250_internal[_t252_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _local_inoutStruct = &_t253_storage;
            _t254_internal = (unsigned *)(&(*_local_inoutStruct));
            _t255_array_length = 100;
            for (_t256_array_iter = 0; _t256_array_iter < _t255_array_length; _t256_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t254_internal[_t256_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _local_outStruct = &_t257_storage;
            flick_iiop_decode_end_glob(1100);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(804);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t260_internal;
                  unsigned *_t261_internal;

                  /* Begin encode phase on parameters */
                  _t260_internal = (unsigned *)(&(*_local_inoutStruct));
                  flick_iiop_encode_new_chunk(800);
                  flick_cdr_encode_bcopy(0, _t260_internal, 4 * 100);
                  _t261_internal = (unsigned *)(&(*_local_outStruct));
                  flick_cdr_encode_bcopy(400, _t261_internal, 4 * 100);
                  flick_iiop_encode_end_chunk(800);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(804);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            IFarray _local_inArray;
            IFarray _local_inoutArray;
            IFarray _local_outArray;
            kern_return_t _return;
            unsigned int _t262_principal_len;
            unsigned *_t263_internal;
            flick_unsigned16_t _t264_array_length;
            flick_unsigned16_t _t265_array_iter;
            unsigned *_t266_internal;
            flick_unsigned16_t _t267_array_length;
            flick_unsigned16_t _t268_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t262_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t262_principal_len);
            flick_iiop_decode_new_chunk(_t262_principal_len);
            flick_iiop_decode_end_chunk(_t262_principal_len);
            flick_iiop_decode_end_glob(_t262_principal_len);
            /* Begin decode phase on parameters */
            _t263_internal = (unsigned *)_local_inArray;
            _t264_array_length = 300;
            flick_iiop_decode_new_glob(3300);
            for (_t265_array_iter = 0; _t265_array_iter < _t264_array_length; _t265_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t263_internal[_t265_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t266_internal = (unsigned *)_local_inoutArray;
            _t267_array_length = 300;
            for (_t268_array_iter = 0; _t268_array_iter < _t267_array_length; _t268_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t266_internal[_t268_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(3300);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(2404);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t271_internal;
                  unsigned *_t272_internal;

                  /* Begin encode phase on parameters */
                  _t271_internal = (unsigned *)_local_inoutArray;
                  flick_iiop_encode_new_chunk(2400);
                  flick_cdr_encode_bcopy(0, _t271_internal, 4 * 300);
                  _t272_internal = (unsigned *)_local_outArray;
                  flick_cdr_encode_bcopy(1200, _t272_internal, 4 * 300);
                  flick_iiop_encode_end_chunk(2400);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(2404);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            IBarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            IBarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t273_principal_len;
            mach_msg_type_number_t _t274_array_iter;
            IBarray _t275_storage;
            mach_msg_type_number_t _t276_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t273_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t273_principal_len);
            flick_iiop_decode_new_chunk(_t273_principal_len);
            flick_iiop_decode_end_chunk(_t273_principal_len);
            flick_iiop_decode_end_glob(_t273_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3500);
            for (_t274_array_iter = 0; _t274_array_iter < _local_inArrayCnt; _t274_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t274_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _local_outArray = &_t275_storage;
            _local_outArrayCnt = &_t276_storage;
            flick_iiop_decode_end_glob(3500);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(2004);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(2004);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t277_principal_len;
            mach_msg_type_number_t _t278_array_iter;
            Iarray _t279_storage;
            mach_msg_type_number_t _t280_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t277_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t277_principal_len);
            flick_iiop_decode_new_chunk(_t277_principal_len);
            flick_iiop_decode_end_chunk(_t277_principal_len);
            flick_iiop_decode_end_glob(_t277_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7 * _local_inArrayCnt);
            _local_inArray = mach_vm_flick_alloc(_local_inArrayCnt * sizeof(unsigned ));
            for (_t278_array_iter = 0; _t278_array_iter < _local_inArrayCnt; _t278_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t278_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(7 * _local_inArrayCnt);
            _local_outArray = &_t279_storage;
            _local_outArrayCnt = &_t280_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_iiop_encode_new_glob(4 * *_local_outArrayCnt);
                  flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  mach_vm_flick_free(*_local_outArray);
                  flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            IFstring _local_inString;
            IFstring _local_inoutString;
            IFstring _local_outString;
            kern_return_t _return;
            unsigned int _t281_principal_len;
            char *_t282_internal;
            flick_unsigned16_t _t283_array_length;
            flick_unsigned16_t _t284_array_iter;
            char *_t285_internal;
            flick_unsigned16_t _t286_array_length;
            flick_unsigned16_t _t287_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t281_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t281_principal_len);
            flick_iiop_decode_new_chunk(_t281_principal_len);
            flick_iiop_decode_end_chunk(_t281_principal_len);
            flick_iiop_decode_end_glob(_t281_principal_len);
            /* Begin decode phase on parameters */
            _t282_internal = (char *)_local_inString;
            _t283_array_length = 799;
            flick_iiop_decode_new_glob(1598);
            for (_t284_array_iter = 0; _t284_array_iter < _t283_array_length; _t284_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t282_internal[_t284_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t285_internal = (char *)_local_inoutString;
            _t286_array_length = 799;
            for (_t287_array_iter = 0; _t287_array_iter < _t286_array_length; _t287_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t285_internal[_t287_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            flick_iiop_decode_end_glob(1598);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(1602);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  char *_t290_internal;
                  char *_t291_internal;

                  /* Begin encode phase on parameters */
                  _t290_internal = (char *)_local_inoutString;
                  flick_iiop_encode_new_chunk(1598);
                  flick_cdr_encode_bcopy(0, _t290_internal, 1 * 799);
                  _t291_internal = (char *)_local_outString;
                  flick_cdr_encode_bcopy(799, _t291_internal, 1 * 799);
                  flick_iiop_encode_end_chunk(1598);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(1602);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            IVstring _local_inString;
            IVstring _local_outString;
            kern_return_t _return;
            unsigned int _t292_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t292_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t292_principal_len);
            flick_iiop_decode_new_chunk(_t292_principal_len);
            flick_iiop_decode_end_chunk(_t292_principal_len);
            flick_iiop_decode_end_glob(_t292_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_swap_decode_string(_local_inString, null_flick_alloc, iiop, 997);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_string(_local_outString, null_flick_free, iiop, 997);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t *_local_outRight;
            kern_return_t _return;
            unsigned int _t293_principal_len;
            mach_port_t _t294_storage;
            mach_port_t _t295_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t293_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t293_principal_len);
            flick_iiop_decode_new_chunk(_t293_principal_len);
            flick_iiop_decode_end_chunk(_t293_principal_len);
            flick_iiop_decode_end_glob(_t293_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_swap_decode_IOR(iiop, _local_inRight, 1);
            flick_iiop_mark_port_for_cleanup(_local_inRight, 1);
            _local_inoutRight = &_t294_storage;
            flick_cdr_swap_decode_IOR(iiop, *_local_inoutRight, 1);
            flick_iiop_mark_port_for_cleanup(*_local_inoutRight, 1);
            _local_outRight = &_t295_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_IOR(iiop, *_local_inoutRight, 0);
                  flick_cdr_encode_IOR(iiop, *_local_outRight, 1);
                  flick_iiop_mark_port_for_cleanup(*_local_outRight, 1);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t296_principal_len;
            mach_msg_type_number_t _t297_array_iter;
            Imach_port_array_t _t298_storage;
            mach_msg_type_number_t _t299_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t296_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t296_principal_len);
            flick_iiop_decode_new_chunk(_t296_principal_len);
            flick_iiop_decode_end_chunk(_t296_principal_len);
            flick_iiop_decode_end_glob(_t296_principal_len);
            /* Begin decode phase on parameters */
            _local_inRight = mach_vm_flick_alloc(_local_inRightCnt * sizeof(mach_port_t ));
            for (_t297_array_iter = 0; _t297_array_iter < _local_inRightCnt; _t297_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t297_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t297_array_iter], 1);
              }
            _local_outRight = &_t298_storage;
            _local_outRightCnt = &_t299_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  mach_msg_type_number_t _t301_array_iter;

                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  for (_t301_array_iter = 0; _t301_array_iter < *_local_outRightCnt; _t301_array_iter++)
                    {
                      flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t301_array_iter], 1);
                      flick_iiop_mark_port_for_cleanup((*_local_outRight)[_t301_array_iter], 1);
                    }
                  mach_vm_flick_free(*_local_outRight);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550011:
        {
          {
            mach_port_t _local_target;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint *_local_outInt;
            kern_return_t _return;
            unsigned int _t302_principal_len;
            flick_unsigned8_t _t303_array_length;
            Oint _t304_storage;
            flick_unsigned8_t _t305_array_length;
            Oint _t306_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t302_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t302_principal_len);
            flick_iiop_decode_new_chunk(_t302_principal_len);
            flick_iiop_decode_end_chunk(_t302_principal_len);
            flick_iiop_decode_end_glob(_t302_principal_len);
            /* Begin decode phase on parameters */
            _t303_array_length = 1;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inInt);
            _local_inoutInt = &_t304_storage;
            _t305_array_length = 1;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutInt);
            _local_outInt = &_t306_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutInt);
                  flick_cdr_encode_unsigned32(4, *_local_outInt);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned int _t307_principal_len;
            flick_unsigned8_t _t308_array_length;
            OFstruct _t309_storage;
            flick_unsigned8_t _t310_array_length;
            OFstruct _t311_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t307_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t307_principal_len);
            flick_iiop_decode_new_chunk(_t307_principal_len);
            flick_iiop_decode_end_chunk(_t307_principal_len);
            flick_iiop_decode_end_glob(_t307_principal_len);
            /* Begin decode phase on parameters */
            _t308_array_length = 1;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inStruct);
            _local_inoutStruct = &_t309_storage;
            _t310_array_length = 1;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutStruct);
            _local_outStruct = &_t311_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutStruct);
                  flick_cdr_encode_unsigned32(4, *_local_outStruct);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray *_local_outArray;
            kern_return_t _return;
            unsigned int _t312_principal_len;
            flick_unsigned8_t _t313_array_length;
            OFarray _t314_storage;
            flick_unsigned8_t _t315_array_length;
            OFarray _t316_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t312_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t312_principal_len);
            flick_iiop_decode_new_chunk(_t312_principal_len);
            flick_iiop_decode_end_chunk(_t312_principal_len);
            flick_iiop_decode_end_glob(_t312_principal_len);
            /* Begin decode phase on parameters */
            _t313_array_length = 1;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inArray);
            _local_inoutArray = &_t314_storage;
            _t315_array_length = 1;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutArray);
            _local_outArray = &_t316_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(4, *_local_outArray);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t317_principal_len;
            mach_msg_type_number_t _t318_storage;
            Oarray _t319_storage;
            Oarray _t320_storage;
            mach_msg_type_number_t _t321_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t317_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t317_principal_len);
            flick_iiop_decode_new_chunk(_t317_principal_len);
            flick_iiop_decode_end_chunk(_t317_principal_len);
            flick_iiop_decode_end_glob(_t317_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inArray);
            _local_inoutArrayCnt = &_t318_storage;
            _local_inoutArray = &_t319_storage;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutArray);
            _local_outArray = &_t320_storage;
            _local_outArrayCnt = &_t321_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(4, *_local_outArray);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring *_local_outString;
            kern_return_t _return;
            unsigned int _t322_principal_len;
            flick_unsigned8_t _t323_array_length;
            OFstring _t324_storage;
            flick_unsigned8_t _t325_array_length;
            OFstring _t326_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t322_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t322_principal_len);
            flick_iiop_decode_new_chunk(_t322_principal_len);
            flick_iiop_decode_end_chunk(_t322_principal_len);
            flick_iiop_decode_end_glob(_t322_principal_len);
            /* Begin decode phase on parameters */
            _t323_array_length = 1;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inString);
            _local_inoutString = &_t324_storage;
            _t325_array_length = 1;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutString);
            _local_outString = &_t326_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutString);
                  flick_cdr_encode_unsigned32(4, *_local_outString);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t327_principal_len;
            mach_msg_type_number_t _t328_storage;
            mach_port_array_t _t329_storage;
            mach_port_array_t _t330_storage;
            mach_msg_type_number_t _t331_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t327_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t327_principal_len);
            flick_iiop_decode_new_chunk(_t327_principal_len);
            flick_iiop_decode_end_chunk(_t327_principal_len);
            flick_iiop_decode_end_glob(_t327_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inRight);
            _local_inoutRightCnt = &_t328_storage;
            _local_inoutRight = &_t329_storage;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutRight);
            _local_outRight = &_t330_storage;
            _local_outRightCnt = &_t331_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutRight);
                  flick_cdr_encode_unsigned32(4, *_local_outRight);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t79_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t79_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t79_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint *_local_outInt;
            kern_return_t _return;
            unsigned int _t80_principal_len;
            Iint _t81_storage;
            Iint _t82_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t80_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t80_principal_len);
            flick_iiop_decode_new_chunk(_t80_principal_len);
            flick_iiop_decode_end_chunk(_t80_principal_len);
            flick_iiop_decode_end_glob(_t80_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_inInt);
            _local_inoutInt = &_t81_storage;
            flick_cdr_decode_signed32(4, *_local_inoutInt);
            _local_outInt = &_t82_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, *_local_inoutInt);
                  flick_cdr_encode_signed32(4, *_local_outInt);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            IFstruct _local_inStruct;
            IFstruct *_local_inoutStruct;
            IFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned int _t83_principal_len;
            unsigned *_t84_internal;
            flick_unsigned8_t _t85_array_length;
            IFstruct _t86_storage;
            unsigned *_t87_internal;
            flick_unsigned8_t _t88_array_length;
            IFstruct _t89_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t83_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t83_principal_len);
            flick_iiop_decode_new_chunk(_t83_principal_len);
            flick_iiop_decode_end_chunk(_t83_principal_len);
            flick_iiop_decode_end_glob(_t83_principal_len);
            /* Begin decode phase on parameters */
            _t84_internal = (unsigned *)(&(_local_inStruct));
            _t85_array_length = 100;
            flick_iiop_decode_new_glob(803);
            flick_iiop_decode_new_chunk_align(800, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t84_internal, 4 * _t85_array_length);
            _local_inoutStruct = &_t86_storage;
            _t87_internal = (unsigned *)(&(*_local_inoutStruct));
            _t88_array_length = 100;
            flick_cdr_decode_bcopy(400, _t87_internal, 4 * _t88_array_length);
            _local_outStruct = &_t89_storage;
            flick_iiop_decode_end_chunk(800);
            flick_iiop_decode_end_glob(803);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(804);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t92_internal;
                  unsigned *_t93_internal;

                  /* Begin encode phase on parameters */
                  _t92_internal = (unsigned *)(&(*_local_inoutStruct));
                  flick_iiop_encode_new_chunk(800);
                  flick_cdr_encode_bcopy(0, _t92_internal, 4 * 100);
                  _t93_internal = (unsigned *)(&(*_local_outStruct));
                  flick_cdr_encode_bcopy(400, _t93_internal, 4 * 100);
                  flick_iiop_encode_end_chunk(800);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(804);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            IFarray _local_inArray;
            IFarray _local_inoutArray;
            IFarray _local_outArray;
            kern_return_t _return;
            unsigned int _t94_principal_len;
            unsigned *_t95_internal;
            flick_unsigned16_t _t96_array_length;
            unsigned *_t97_internal;
            flick_unsigned16_t _t98_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t94_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t94_principal_len);
            flick_iiop_decode_new_chunk(_t94_principal_len);
            flick_iiop_decode_end_chunk(_t94_principal_len);
            flick_iiop_decode_end_glob(_t94_principal_len);
            /* Begin decode phase on parameters */
            _t95_internal = (unsigned *)_local_inArray;
            _t96_array_length = 300;
            flick_iiop_decode_new_glob(2403);
            flick_iiop_decode_new_chunk_align(2400, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t95_internal, 4 * _t96_array_length);
            _t97_internal = (unsigned *)_local_inoutArray;
            _t98_array_length = 300;
            flick_cdr_decode_bcopy(1200, _t97_internal, 4 * _t98_array_length);
            flick_iiop_decode_end_chunk(2400);
            flick_iiop_decode_end_glob(2403);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(2404);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t101_internal;
                  unsigned *_t102_internal;

                  /* Begin encode phase on parameters */
                  _t101_internal = (unsigned *)_local_inoutArray;
                  flick_iiop_encode_new_chunk(2400);
                  flick_cdr_encode_bcopy(0, _t101_internal, 4 * 300);
                  _t102_internal = (unsigned *)_local_outArray;
                  flick_cdr_encode_bcopy(1200, _t102_internal, 4 * 300);
                  flick_iiop_encode_end_chunk(2400);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(2404);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            IBarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            IBarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t103_principal_len;
            IBarray _t104_storage;
            mach_msg_type_number_t _t105_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t103_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t103_principal_len);
            flick_iiop_decode_new_chunk(_t103_principal_len);
            flick_iiop_decode_end_chunk(_t103_principal_len);
            flick_iiop_decode_end_glob(_t103_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2003);
            flick_iiop_decode_new_chunk_align(4 * _local_inArrayCnt, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            _local_outArray = &_t104_storage;
            _local_outArrayCnt = &_t105_storage;
            flick_iiop_decode_end_glob(2003);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(2004);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(2004);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t106_principal_len;
            Iarray _t107_storage;
            mach_msg_type_number_t _t108_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t106_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t106_principal_len);
            flick_iiop_decode_new_chunk(_t106_principal_len);
            flick_iiop_decode_end_chunk(_t106_principal_len);
            flick_iiop_decode_end_glob(_t106_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3 + 4 * _local_inArrayCnt);
            flick_iiop_decode_new_chunk_align(4 * _local_inArrayCnt, 2, 0, 0);
            _local_inArray = mach_vm_flick_alloc(_local_inArrayCnt * sizeof(unsigned ));
            flick_cdr_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(3 + 4 * _local_inArrayCnt);
            _local_outArray = &_t107_storage;
            _local_outArrayCnt = &_t108_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_iiop_encode_new_glob(4 * *_local_outArrayCnt);
                  flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  mach_vm_flick_free(*_local_outArray);
                  flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            IFstring _local_inString;
            IFstring _local_inoutString;
            IFstring _local_outString;
            kern_return_t _return;
            unsigned int _t109_principal_len;
            char *_t110_internal;
            flick_unsigned16_t _t111_array_length;
            char *_t112_internal;
            flick_unsigned16_t _t113_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t109_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t109_principal_len);
            flick_iiop_decode_new_chunk(_t109_principal_len);
            flick_iiop_decode_end_chunk(_t109_principal_len);
            flick_iiop_decode_end_glob(_t109_principal_len);
            /* Begin decode phase on parameters */
            _t110_internal = (char *)_local_inString;
            _t111_array_length = 799;
            flick_iiop_decode_new_glob(1598);
            flick_iiop_decode_new_chunk(1598);
            flick_cdr_decode_bcopy(0, _t110_internal, 1 * _t111_array_length);
            _t112_internal = (char *)_local_inoutString;
            _t113_array_length = 799;
            flick_cdr_decode_bcopy(799, _t112_internal, 1 * _t113_array_length);
            flick_iiop_decode_end_chunk(1598);
            flick_iiop_decode_end_glob(1598);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(1602);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  char *_t116_internal;
                  char *_t117_internal;

                  /* Begin encode phase on parameters */
                  _t116_internal = (char *)_local_inoutString;
                  flick_iiop_encode_new_chunk(1598);
                  flick_cdr_encode_bcopy(0, _t116_internal, 1 * 799);
                  _t117_internal = (char *)_local_outString;
                  flick_cdr_encode_bcopy(799, _t117_internal, 1 * 799);
                  flick_iiop_encode_end_chunk(1598);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(1602);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            IVstring _local_inString;
            IVstring _local_outString;
            kern_return_t _return;
            unsigned int _t118_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t118_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t118_principal_len);
            flick_iiop_decode_new_chunk(_t118_principal_len);
            flick_iiop_decode_end_chunk(_t118_principal_len);
            flick_iiop_decode_end_glob(_t118_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_decode_string(_local_inString, null_flick_alloc, iiop, 997);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_string(_local_outString, null_flick_free, iiop, 997);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t *_local_outRight;
            kern_return_t _return;
            unsigned int _t119_principal_len;
            mach_port_t _t120_storage;
            mach_port_t _t121_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t119_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t119_principal_len);
            flick_iiop_decode_new_chunk(_t119_principal_len);
            flick_iiop_decode_end_chunk(_t119_principal_len);
            flick_iiop_decode_end_glob(_t119_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_decode_IOR(iiop, _local_inRight, 1);
            flick_iiop_mark_port_for_cleanup(_local_inRight, 1);
            _local_inoutRight = &_t120_storage;
            flick_cdr_decode_IOR(iiop, *_local_inoutRight, 1);
            flick_iiop_mark_port_for_cleanup(*_local_inoutRight, 1);
            _local_outRight = &_t121_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_IOR(iiop, *_local_inoutRight, 0);
                  flick_cdr_encode_IOR(iiop, *_local_outRight, 1);
                  flick_iiop_mark_port_for_cleanup(*_local_outRight, 1);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t122_principal_len;
            mach_msg_type_number_t _t123_array_iter;
            Imach_port_array_t _t124_storage;
            mach_msg_type_number_t _t125_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t122_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t122_principal_len);
            flick_iiop_decode_new_chunk(_t122_principal_len);
            flick_iiop_decode_end_chunk(_t122_principal_len);
            flick_iiop_decode_end_glob(_t122_principal_len);
            /* Begin decode phase on parameters */
            _local_inRight = mach_vm_flick_alloc(_local_inRightCnt * sizeof(mach_port_t ));
            for (_t123_array_iter = 0; _t123_array_iter < _local_inRightCnt; _t123_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t123_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t123_array_iter], 1);
              }
            _local_outRight = &_t124_storage;
            _local_outRightCnt = &_t125_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  mach_msg_type_number_t _t127_array_iter;

                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  for (_t127_array_iter = 0; _t127_array_iter < *_local_outRightCnt; _t127_array_iter++)
                    {
                      flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t127_array_iter], 1);
                      flick_iiop_mark_port_for_cleanup((*_local_outRight)[_t127_array_iter], 1);
                    }
                  mach_vm_flick_free(*_local_outRight);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550011:
        {
          {
            mach_port_t _local_target;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint *_local_outInt;
            kern_return_t _return;
            unsigned int _t128_principal_len;
            flick_unsigned8_t _t129_array_length;
            Oint _t130_storage;
            flick_unsigned8_t _t131_array_length;
            Oint _t132_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t128_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t128_principal_len);
            flick_iiop_decode_new_chunk(_t128_principal_len);
            flick_iiop_decode_end_chunk(_t128_principal_len);
            flick_iiop_decode_end_glob(_t128_principal_len);
            /* Begin decode phase on parameters */
            _t129_array_length = 1;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inInt);
            _local_inoutInt = &_t130_storage;
            _t131_array_length = 1;
            flick_cdr_decode_unsigned32(4, *_local_inoutInt);
            _local_outInt = &_t132_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutInt);
                  flick_cdr_encode_unsigned32(4, *_local_outInt);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned int _t133_principal_len;
            flick_unsigned8_t _t134_array_length;
            OFstruct _t135_storage;
            flick_unsigned8_t _t136_array_length;
            OFstruct _t137_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t133_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t133_principal_len);
            flick_iiop_decode_new_chunk(_t133_principal_len);
            flick_iiop_decode_end_chunk(_t133_principal_len);
            flick_iiop_decode_end_glob(_t133_principal_len);
            /* Begin decode phase on parameters */
            _t134_array_length = 1;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inStruct);
            _local_inoutStruct = &_t135_storage;
            _t136_array_length = 1;
            flick_cdr_decode_unsigned32(4, *_local_inoutStruct);
            _local_outStruct = &_t137_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutStruct);
                  flick_cdr_encode_unsigned32(4, *_local_outStruct);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray *_local_outArray;
            kern_return_t _return;
            unsigned int _t138_principal_len;
            flick_unsigned8_t _t139_array_length;
            OFarray _t140_storage;
            flick_unsigned8_t _t141_array_length;
            OFarray _t142_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t138_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t138_principal_len);
            flick_iiop_decode_new_chunk(_t138_principal_len);
            flick_iiop_decode_end_chunk(_t138_principal_len);
            flick_iiop_decode_end_glob(_t138_principal_len);
            /* Begin decode phase on parameters */
            _t139_array_length = 1;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inArray);
            _local_inoutArray = &_t140_storage;
            _t141_array_length = 1;
            flick_cdr_decode_unsigned32(4, *_local_inoutArray);
            _local_outArray = &_t142_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(4, *_local_outArray);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t143_principal_len;
            mach_msg_type_number_t _t144_storage;
            Oarray _t145_storage;
            Oarray _t146_storage;
            mach_msg_type_number_t _t147_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t143_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t143_principal_len);
            flick_iiop_decode_new_chunk(_t143_principal_len);
            flick_iiop_decode_end_chunk(_t143_principal_len);
            flick_iiop_decode_end_glob(_t143_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inArray);
            _local_inoutArrayCnt = &_t144_storage;
            _local_inoutArray = &_t145_storage;
            flick_cdr_decode_unsigned32(4, *_local_inoutArray);
            _local_outArray = &_t146_storage;
            _local_outArrayCnt = &_t147_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(4, *_local_outArray);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring *_local_outString;
            kern_return_t _return;
            unsigned int _t148_principal_len;
            flick_unsigned8_t _t149_array_length;
            OFstring _t150_storage;
            flick_unsigned8_t _t151_array_length;
            OFstring _t152_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t148_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t148_principal_len);
            flick_iiop_decode_new_chunk(_t148_principal_len);
            flick_iiop_decode_end_chunk(_t148_principal_len);
            flick_iiop_decode_end_glob(_t148_principal_len);
            /* Begin decode phase on parameters */
            _t149_array_length = 1;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inString);
            _local_inoutString = &_t150_storage;
            _t151_array_length = 1;
            flick_cdr_decode_unsigned32(4, *_local_inoutString);
            _local_outString = &_t152_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutString);
                  flick_cdr_encode_unsigned32(4, *_local_outString);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t153_principal_len;
            mach_msg_type_number_t _t154_storage;
            mach_port_array_t _t155_storage;
            mach_port_array_t _t156_storage;
            mach_msg_type_number_t _t157_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t153_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t153_principal_len);
            flick_iiop_decode_new_chunk(_t153_principal_len);
            flick_iiop_decode_end_chunk(_t153_principal_len);
            flick_iiop_decode_end_glob(_t153_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inRight);
            _local_inoutRightCnt = &_t154_storage;
            _local_inoutRight = &_t155_storage;
            flick_cdr_decode_unsigned32(4, *_local_inoutRight);
            _local_outRight = &_t156_storage;
            _local_outRightCnt = &_t157_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutRight);
                  flick_cdr_encode_unsigned32(4, *_local_outRight);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
