#include "optional-4-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_opt_int(flick_marshal_stream_t _stream, const opt_int *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t0_array_len);
  flick_iiop_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, **_data);
      flick_iiop_encode_end_chunk(4);
    }
  else
    {
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned8_t _t1_array_len;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t1_array_len);
  flick_iiop_decode_end_chunk(4);
  if (_t1_array_len)
    {
      *_data = sun_flick_alloc(_t1_array_len * sizeof(int ));
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, **_data);
      flick_iiop_decode_end_chunk(4);
    }
  else
    {
      *_data = 0;
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_opt_int_swap(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned8_t _t2_array_len;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t2_array_len);
  flick_iiop_decode_end_chunk(4);
  if (_t2_array_len)
    {
      *_data = sun_flick_alloc(_t2_array_len * sizeof(int ));
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, **_data);
      flick_iiop_decode_end_chunk(4);
    }
  else
    {
      *_data = 0;
    }
  flick_iiop_decode_end_glob(8);
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t18_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t18_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t18_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            opt_int *_return = 0;
            unsigned int _t19_principal_len;
            int _t20_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t19_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t19_principal_len);
            flick_iiop_decode_new_chunk(_t19_principal_len);
            flick_iiop_decode_end_chunk(_t19_principal_len);
            flick_iiop_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t20_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_unsigned8_t _t22_array_len;

                  /* Begin encode phase on parameters */
                  _t22_array_len = *_return != 0;
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _t22_array_len);
                  flick_iiop_encode_end_chunk(4);
                  if (_t22_array_len)
                    {
                      flick_iiop_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, **_return);
                      flick_iiop_encode_end_chunk(4);
                    }
                  else
                    {
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t8_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t8_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t8_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            opt_int *_return = 0;
            unsigned int _t9_principal_len;
            int _t10_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t9_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t9_principal_len);
            flick_iiop_decode_new_chunk(_t9_principal_len);
            flick_iiop_decode_end_chunk(_t9_principal_len);
            flick_iiop_decode_end_glob(_t9_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t10_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_unsigned8_t _t12_array_len;

                  /* Begin encode phase on parameters */
                  _t12_array_len = *_return != 0;
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _t12_array_len);
                  flick_iiop_encode_end_chunk(4);
                  if (_t12_array_len)
                    {
                      flick_iiop_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, **_return);
                      flick_iiop_encode_end_chunk(4);
                    }
                  else
                    {
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
