#include "program-4-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed16(0, _data->a);
  flick_cdr_encode_signed16(2, _data->b);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed16(0, _data->a);
  flick_cdr_decode_signed16(2, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_short_short_swap(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_cdr_swap_decode_signed16(2, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a);
  flick_cdr_encode_signed32(4, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a);
  flick_cdr_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_long_long_swap(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_cdr_swap_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->long_list_len);
  flick_cdr_encode_unsigned32(0, _data->long_list_len);
  flick_cdr_encode_bcopy(4, _data->long_list_val, 4 * _data->long_list_len);
  flick_iiop_encode_end_chunk(4 + 4 * _data->long_list_len);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_list_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_cdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_iiop_decode_end_chunk(4 * _data->long_list_len);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_long_list_swap(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_list_len);
  flick_iiop_decode_end_chunk(4);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_list_val[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

flick_operation_success_t math_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t54_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t54_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t54_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t55_principal_len;
            struct short_short _t56_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t55_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t55_principal_len);
            flick_iiop_decode_new_chunk(_t55_principal_len);
            flick_iiop_decode_end_chunk(_t55_principal_len);
            flick_iiop_decode_end_glob(_t55_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t56_storage;
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, _local_arg->a);
            flick_cdr_swap_decode_signed16(2, _local_arg->b);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = addshort_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t57_principal_len;
            struct short_short _t58_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t57_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t57_principal_len);
            flick_iiop_decode_new_chunk(_t57_principal_len);
            flick_iiop_decode_end_chunk(_t57_principal_len);
            flick_iiop_decode_end_glob(_t57_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t58_storage;
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, _local_arg->a);
            flick_cdr_swap_decode_signed16(2, _local_arg->b);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = subshort_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t59_principal_len;
            struct short_short _t60_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t59_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t59_principal_len);
            flick_iiop_decode_new_chunk(_t59_principal_len);
            flick_iiop_decode_end_chunk(_t59_principal_len);
            flick_iiop_decode_end_glob(_t59_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t60_storage;
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, _local_arg->a);
            flick_cdr_swap_decode_signed16(2, _local_arg->b);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = multshort_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t61_principal_len;
            struct long_long _t62_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t61_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t61_principal_len);
            flick_iiop_decode_new_chunk(_t61_principal_len);
            flick_iiop_decode_end_chunk(_t61_principal_len);
            flick_iiop_decode_end_glob(_t61_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t62_storage;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_arg->a);
            flick_cdr_swap_decode_signed32(4, _local_arg->b);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = addlong_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t63_principal_len;
            struct long_long _t64_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t63_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t63_principal_len);
            flick_iiop_decode_new_chunk(_t63_principal_len);
            flick_iiop_decode_end_chunk(_t63_principal_len);
            flick_iiop_decode_end_glob(_t63_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t64_storage;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_arg->a);
            flick_cdr_swap_decode_signed32(4, _local_arg->b);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = sublong_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t65_principal_len;
            struct long_long _t66_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t65_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t65_principal_len);
            flick_iiop_decode_new_chunk(_t65_principal_len);
            flick_iiop_decode_end_chunk(_t65_principal_len);
            flick_iiop_decode_end_glob(_t65_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t66_storage;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_arg->a);
            flick_cdr_swap_decode_signed32(4, _local_arg->b);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = multlong_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t67_principal_len;
            long_list _t68_storage;
            unsigned long int _t69_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t67_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t67_principal_len);
            flick_iiop_decode_new_chunk(_t67_principal_len);
            flick_iiop_decode_end_chunk(_t67_principal_len);
            flick_iiop_decode_end_glob(_t67_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t68_storage;
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_list_len);
            flick_iiop_decode_end_chunk(4);
            _local_arg->long_list_val = auto_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            for (_t69_array_iter = 0; _t69_array_iter < _local_arg->long_list_len; _t69_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_list_val[_t69_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = addlonglist_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t70_principal_len;
            long_list _t71_storage;
            unsigned long int _t72_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t70_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t70_principal_len);
            flick_iiop_decode_new_chunk(_t70_principal_len);
            flick_iiop_decode_end_chunk(_t70_principal_len);
            flick_iiop_decode_end_glob(_t70_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t71_storage;
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_list_len);
            flick_iiop_decode_end_chunk(4);
            _local_arg->long_list_val = auto_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            for (_t72_array_iter = 0; _t72_array_iter < _local_arg->long_list_len; _t72_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_list_val[_t72_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = multlonglist_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t18_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t18_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t18_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t19_principal_len;
            struct short_short _t20_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t19_principal_len);
            flick_iiop_decode_new_chunk(_t19_principal_len);
            flick_iiop_decode_end_chunk(_t19_principal_len);
            flick_iiop_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t20_storage;
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_cdr_decode_signed16(0, _local_arg->a);
            flick_cdr_decode_signed16(2, _local_arg->b);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = addshort_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t21_principal_len;
            struct short_short _t22_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t21_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t21_principal_len);
            flick_iiop_decode_new_chunk(_t21_principal_len);
            flick_iiop_decode_end_chunk(_t21_principal_len);
            flick_iiop_decode_end_glob(_t21_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t22_storage;
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_cdr_decode_signed16(0, _local_arg->a);
            flick_cdr_decode_signed16(2, _local_arg->b);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = subshort_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t23_principal_len;
            struct short_short _t24_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t23_principal_len);
            flick_iiop_decode_new_chunk(_t23_principal_len);
            flick_iiop_decode_end_chunk(_t23_principal_len);
            flick_iiop_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t24_storage;
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_cdr_decode_signed16(0, _local_arg->a);
            flick_cdr_decode_signed16(2, _local_arg->b);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = multshort_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t25_principal_len;
            struct long_long _t26_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t25_principal_len);
            flick_iiop_decode_new_chunk(_t25_principal_len);
            flick_iiop_decode_end_chunk(_t25_principal_len);
            flick_iiop_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t26_storage;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_arg->a);
            flick_cdr_decode_signed32(4, _local_arg->b);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = addlong_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t27_principal_len;
            struct long_long _t28_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t27_principal_len);
            flick_iiop_decode_new_chunk(_t27_principal_len);
            flick_iiop_decode_end_chunk(_t27_principal_len);
            flick_iiop_decode_end_glob(_t27_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t28_storage;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_arg->a);
            flick_cdr_decode_signed32(4, _local_arg->b);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = sublong_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t29_principal_len;
            struct long_long _t30_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t29_principal_len);
            flick_iiop_decode_new_chunk(_t29_principal_len);
            flick_iiop_decode_end_chunk(_t29_principal_len);
            flick_iiop_decode_end_glob(_t29_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t30_storage;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_arg->a);
            flick_cdr_decode_signed32(4, _local_arg->b);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = multlong_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t31_principal_len;
            long_list _t32_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t31_principal_len);
            flick_iiop_decode_new_chunk(_t31_principal_len);
            flick_iiop_decode_end_chunk(_t31_principal_len);
            flick_iiop_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t32_storage;
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_arg->long_list_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_cdr_decode_msgptr(0, _local_arg->long_list_val);
            flick_iiop_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = addlonglist_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t33_principal_len;
            long_list _t34_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t33_principal_len);
            flick_iiop_decode_new_chunk(_t33_principal_len);
            flick_iiop_decode_end_chunk(_t33_principal_len);
            flick_iiop_decode_end_glob(_t33_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t34_storage;
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_arg->long_list_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_cdr_decode_msgptr(0, _local_arg->long_list_val);
            flick_iiop_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = multlonglist_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
