#include "program-6-client.h"

void flick_marshal_stub_sa(flick_marshal_stream_t _stream, const struct sa *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a);
  flick_cdr_encode_signed32(4, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a);
  flick_cdr_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_sa_swap(flick_marshal_stream_t _stream, struct sa *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_cdr_swap_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_sb(flick_marshal_stream_t _stream, const struct sb *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a);
  flick_cdr_encode_signed32(4, _data->a.b);
  flick_cdr_encode_signed32(8, _data->b.a);
  flick_cdr_encode_signed32(12, _data->b.b);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a);
  flick_cdr_decode_signed32(4, _data->a.b);
  flick_cdr_decode_signed32(8, _data->b.a);
  flick_cdr_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_sb_swap(flick_marshal_stream_t _stream, struct sb *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a);
  flick_cdr_swap_decode_signed32(4, _data->a.b);
  flick_cdr_swap_decode_signed32(8, _data->b.a);
  flick_cdr_swap_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->long_list_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->long_list_len);
  flick_iiop_encode_new_chunk(4 * _data->long_list_len);
  flick_cdr_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_iiop_encode_end_chunk(4 * _data->long_list_len);
  flick_iiop_encode_end_glob(4 * _data->long_list_len);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_list_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->long_list_len);
  flick_iiop_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_cdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_iiop_decode_end_chunk(4 * _data->long_list_len);
  flick_iiop_decode_end_glob(4 * _data->long_list_len);
}

void flick_unmarshal_stub_long_list_swap(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_list_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_list_val[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->long_list_len);
}

void flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, const sb_list *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->sb_list_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->sb_list_len);
  for (_t1_array_iter = 0; _t1_array_iter < _data->sb_list_len; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->sb_list_val[_t1_array_iter].a.a);
      flick_cdr_encode_signed32(4, _data->sb_list_val[_t1_array_iter].a.b);
      flick_cdr_encode_signed32(8, _data->sb_list_val[_t1_array_iter].b.a);
      flick_cdr_encode_signed32(12, _data->sb_list_val[_t1_array_iter].b.b);
      flick_iiop_encode_end_chunk(16);
    }
  flick_iiop_encode_end_glob(16 * _data->sb_list_len);
}

void flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned long int _t2_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->sb_list_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->sb_list_len);
  _data->sb_list_val = sun_flick_alloc(_data->sb_list_len * sizeof(struct sb ));
  for (_t2_array_iter = 0; _t2_array_iter < _data->sb_list_len; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->sb_list_val[_t2_array_iter].a.a);
      flick_cdr_decode_signed32(4, _data->sb_list_val[_t2_array_iter].a.b);
      flick_cdr_decode_signed32(8, _data->sb_list_val[_t2_array_iter].b.a);
      flick_cdr_decode_signed32(12, _data->sb_list_val[_t2_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->sb_list_len);
}

void flick_unmarshal_stub_sb_list_swap(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->sb_list_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->sb_list_len);
  _data->sb_list_val = sun_flick_alloc(_data->sb_list_len * sizeof(struct sb ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->sb_list_len; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->sb_list_val[_t3_array_iter].a.a);
      flick_cdr_swap_decode_signed32(4, _data->sb_list_val[_t3_array_iter].a.b);
      flick_cdr_swap_decode_signed32(8, _data->sb_list_val[_t3_array_iter].b.a);
      flick_cdr_swap_decode_signed32(12, _data->sb_list_val[_t3_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->sb_list_len);
}

int *long_test_50(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 7);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->long_list_len);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * arg->long_list_len);
    flick_iiop_encode_new_chunk(4 * arg->long_list_len);
    flick_cdr_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
    flick_iiop_encode_end_chunk(4 * arg->long_list_len);
    flick_iiop_encode_end_glob(4 * arg->long_list_len);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t7_storage;

            /* Begin decode phase on parameters */
            _return = &_t7_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t5_storage;

            /* Begin decode phase on parameters */
            _return = &_t5_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *sb_test_50(sb_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    unsigned long int _t9_array_iter;

    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 8);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->sb_list_len);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(16 * arg->sb_list_len);
    for (_t9_array_iter = 0; _t9_array_iter < arg->sb_list_len; _t9_array_iter++)
      {
        flick_iiop_encode_new_chunk(16);
        flick_cdr_encode_signed32(0, arg->sb_list_val[_t9_array_iter].a.a);
        flick_cdr_encode_signed32(4, arg->sb_list_val[_t9_array_iter].a.b);
        flick_cdr_encode_signed32(8, arg->sb_list_val[_t9_array_iter].b.a);
        flick_cdr_encode_signed32(12, arg->sb_list_val[_t9_array_iter].b.b);
        flick_iiop_encode_end_chunk(16);
      }
    flick_iiop_encode_end_glob(16 * arg->sb_list_len);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t13_storage;

            /* Begin decode phase on parameters */
            _return = &_t13_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t11_storage;

            /* Begin decode phase on parameters */
            _return = &_t11_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

