#include "struct-3-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->one);
  flick_cdr_encode_signed32(4, _data->two);
  flick_cdr_encode_signed32(8, _data->three);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->one);
  flick_cdr_decode_signed32(4, _data->two);
  flick_cdr_decode_signed32(8, _data->three);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->one);
  flick_cdr_swap_decode_signed32(4, _data->two);
  flick_cdr_swap_decode_signed32(8, _data->three);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

struct bar *op_2(struct bar *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  struct bar *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, arg->one);
    flick_cdr_encode_signed32(12, arg->two);
    flick_cdr_encode_signed32(16, arg->three);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct bar _t3_storage;

            /* Begin decode phase on parameters */
            _return = &_t3_storage;
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_signed32(0, _return->one);
            flick_cdr_swap_decode_signed32(4, _return->two);
            flick_cdr_swap_decode_signed32(8, _return->three);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct bar _t1_storage;

            /* Begin decode phase on parameters */
            _return = &_t1_storage;
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_signed32(0, _return->one);
            flick_cdr_decode_signed32(4, _return->two);
            flick_cdr_decode_signed32(8, _return->three);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

