#include "turtle-server-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Server(flick_marshal_stream_t _stream, const Server *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_Server_swap(flick_marshal_stream_t _stream, Server *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t Server_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t87_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t87_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t87_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t88_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t88_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t88_switch_tag)
            {
            case /* SetS */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1399157843):
              {
                unsigned int _t89_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t89_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t89_switch_tag)
                  {
                  case /* ize */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1769628928):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_width;
                        CORBA_long _local_height;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t90_principal_len;
                        CORBA_Environment _t91_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t90_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t90_principal_len);
                        flick_iiop_decode_new_chunk(_t90_principal_len);
                        flick_iiop_decode_end_chunk(_t90_principal_len);
                        flick_iiop_decode_end_glob(_t90_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_width);
                        flick_cdr_swap_decode_signed32(4, _local_height);
                        _ev = &_t91_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddW */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1097098327):
              {
                unsigned int _t92_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t92_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t92_switch_tag)
                  {
                  case /* all */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t93_principal_len;
                        CORBA_Environment _t94_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t93_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t93_principal_len);
                        flick_iiop_decode_new_chunk(_t93_principal_len);
                        flick_iiop_decode_end_chunk(_t93_principal_len);
                        flick_iiop_decode_end_glob(_t93_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_startx);
                        flick_cdr_swap_decode_signed32(4, _local_starty);
                        flick_cdr_swap_decode_signed32(8, _local_endx);
                        flick_cdr_swap_decode_signed32(12, _local_endy);
                        _ev = &_t94_storage;
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelW */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1147497559):
              {
                unsigned int _t95_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t95_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t95_switch_tag)
                  {
                  case /* all */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t96_principal_len;
                        CORBA_Environment _t97_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t96_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t96_principal_len);
                        flick_iiop_decode_new_chunk(_t96_principal_len);
                        flick_iiop_decode_end_chunk(_t96_principal_len);
                        flick_iiop_decode_end_glob(_t96_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_startx);
                        flick_cdr_swap_decode_signed32(4, _local_starty);
                        flick_cdr_swap_decode_signed32(8, _local_endx);
                        flick_cdr_swap_decode_signed32(12, _local_endy);
                        _ev = &_t97_storage;
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddR */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1097098322):
              {
                unsigned int _t98_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t98_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t98_switch_tag)
                  {
                  case /* ect */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_long _local_color;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t99_principal_len;
                        CORBA_Environment _t100_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t99_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t99_principal_len);
                        flick_iiop_decode_new_chunk(_t99_principal_len);
                        flick_iiop_decode_end_chunk(_t99_principal_len);
                        flick_iiop_decode_end_glob(_t99_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(23);
                        flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_left);
                        flick_cdr_swap_decode_signed32(4, _local_top);
                        flick_cdr_swap_decode_signed32(8, _local_right);
                        flick_cdr_swap_decode_signed32(12, _local_bottom);
                        flick_cdr_swap_decode_signed32(16, _local_color);
                        _ev = &_t100_storage;
                        flick_iiop_decode_end_chunk(20);
                        flick_iiop_decode_end_glob(23);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelR */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1147497554):
              {
                unsigned int _t101_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t101_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t101_switch_tag)
                  {
                  case /* ect */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t102_principal_len;
                        CORBA_Environment _t103_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t102_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t102_principal_len);
                        flick_iiop_decode_new_chunk(_t102_principal_len);
                        flick_iiop_decode_end_chunk(_t102_principal_len);
                        flick_iiop_decode_end_glob(_t102_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_left);
                        flick_cdr_swap_decode_signed32(4, _local_top);
                        flick_cdr_swap_decode_signed32(8, _local_right);
                        flick_cdr_swap_decode_signed32(12, _local_bottom);
                        _ev = &_t103_storage;
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t104_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t104_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t104_switch_tag)
            {
            case /* SetT */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1399157844):
              {
                unsigned int _t105_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t105_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t105_switch_tag)
                  {
                  case /* urtl */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t106_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t106_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t106_switch_tag)
                        {
                        case /* e */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              CORBA_long _local_x;
                              CORBA_long _local_y;
                              CORBA_long _local_angle;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t107_principal_len;
                              CORBA_Environment _t108_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t107_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t107_principal_len);
                              flick_iiop_decode_new_chunk(_t107_principal_len);
                              flick_iiop_decode_end_chunk(_t107_principal_len);
                              flick_iiop_decode_end_glob(_t107_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(15);
                              flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_x);
                              flick_cdr_swap_decode_signed32(4, _local_y);
                              flick_cdr_swap_decode_signed32(8, _local_angle);
                              _ev = &_t108_storage;
                              flick_iiop_decode_end_chunk(12);
                              flick_iiop_decode_end_glob(15);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetT */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1197831252):
              {
                unsigned int _t109_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t109_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t109_switch_tag)
                  {
                  case /* urtl */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t110_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t110_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t110_switch_tag)
                        {
                        case /* e */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              CORBA_long *_local_x;
                              CORBA_long *_local_y;
                              CORBA_long *_local_angle;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t111_principal_len;
                              CORBA_long _t112_storage;
                              CORBA_long _t113_storage;
                              CORBA_long _t114_storage;
                              CORBA_Environment _t115_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t111_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t111_principal_len);
                              flick_iiop_decode_new_chunk(_t111_principal_len);
                              flick_iiop_decode_end_chunk(_t111_principal_len);
                              flick_iiop_decode_end_glob(_t111_principal_len);
                              /* Begin decode phase on parameters */
                              _local_x = &_t112_storage;
                              _local_y = &_t113_storage;
                              _local_angle = &_t114_storage;
                              _ev = &_t115_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(20);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_cdr_encode_signed32(4, *_local_x);
                                    flick_cdr_encode_signed32(8, *_local_y);
                                    flick_cdr_encode_signed32(12, *_local_angle);
                                    flick_iiop_encode_end_chunk(16);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(20);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t29_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t29_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t29_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t30_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t30_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t30_switch_tag)
            {
            case /* SetS */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1399157843):
              {
                unsigned int _t31_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t31_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t31_switch_tag)
                  {
                  case /* ize */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1769628928):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_width;
                        CORBA_long _local_height;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t32_principal_len;
                        CORBA_Environment _t33_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t32_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t32_principal_len);
                        flick_iiop_decode_new_chunk(_t32_principal_len);
                        flick_iiop_decode_end_chunk(_t32_principal_len);
                        flick_iiop_decode_end_glob(_t32_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_width);
                        flick_cdr_decode_signed32(4, _local_height);
                        _ev = &_t33_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddW */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1097098327):
              {
                unsigned int _t34_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t34_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t34_switch_tag)
                  {
                  case /* all */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t35_principal_len;
                        CORBA_Environment _t36_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t35_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t35_principal_len);
                        flick_iiop_decode_new_chunk(_t35_principal_len);
                        flick_iiop_decode_end_chunk(_t35_principal_len);
                        flick_iiop_decode_end_glob(_t35_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_startx);
                        flick_cdr_decode_signed32(4, _local_starty);
                        flick_cdr_decode_signed32(8, _local_endx);
                        flick_cdr_decode_signed32(12, _local_endy);
                        _ev = &_t36_storage;
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelW */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1147497559):
              {
                unsigned int _t37_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t37_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t37_switch_tag)
                  {
                  case /* all */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t38_principal_len;
                        CORBA_Environment _t39_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t38_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t38_principal_len);
                        flick_iiop_decode_new_chunk(_t38_principal_len);
                        flick_iiop_decode_end_chunk(_t38_principal_len);
                        flick_iiop_decode_end_glob(_t38_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_startx);
                        flick_cdr_decode_signed32(4, _local_starty);
                        flick_cdr_decode_signed32(8, _local_endx);
                        flick_cdr_decode_signed32(12, _local_endy);
                        _ev = &_t39_storage;
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddR */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1097098322):
              {
                unsigned int _t40_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t40_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t40_switch_tag)
                  {
                  case /* ect */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_long _local_color;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t41_principal_len;
                        CORBA_Environment _t42_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t41_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t41_principal_len);
                        flick_iiop_decode_new_chunk(_t41_principal_len);
                        flick_iiop_decode_end_chunk(_t41_principal_len);
                        flick_iiop_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(23);
                        flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_left);
                        flick_cdr_decode_signed32(4, _local_top);
                        flick_cdr_decode_signed32(8, _local_right);
                        flick_cdr_decode_signed32(12, _local_bottom);
                        flick_cdr_decode_signed32(16, _local_color);
                        _ev = &_t42_storage;
                        flick_iiop_decode_end_chunk(20);
                        flick_iiop_decode_end_glob(23);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelR */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1147497554):
              {
                unsigned int _t43_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t43_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t43_switch_tag)
                  {
                  case /* ect */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t44_principal_len;
                        CORBA_Environment _t45_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t44_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t44_principal_len);
                        flick_iiop_decode_new_chunk(_t44_principal_len);
                        flick_iiop_decode_end_chunk(_t44_principal_len);
                        flick_iiop_decode_end_glob(_t44_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_left);
                        flick_cdr_decode_signed32(4, _local_top);
                        flick_cdr_decode_signed32(8, _local_right);
                        flick_cdr_decode_signed32(12, _local_bottom);
                        _ev = &_t45_storage;
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t46_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t46_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t46_switch_tag)
            {
            case /* SetT */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1399157844):
              {
                unsigned int _t47_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t47_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t47_switch_tag)
                  {
                  case /* urtl */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t48_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t48_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t48_switch_tag)
                        {
                        case /* e */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              CORBA_long _local_x;
                              CORBA_long _local_y;
                              CORBA_long _local_angle;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t49_principal_len;
                              CORBA_Environment _t50_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t49_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t49_principal_len);
                              flick_iiop_decode_new_chunk(_t49_principal_len);
                              flick_iiop_decode_end_chunk(_t49_principal_len);
                              flick_iiop_decode_end_glob(_t49_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(15);
                              flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_x);
                              flick_cdr_decode_signed32(4, _local_y);
                              flick_cdr_decode_signed32(8, _local_angle);
                              _ev = &_t50_storage;
                              flick_iiop_decode_end_chunk(12);
                              flick_iiop_decode_end_glob(15);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetT */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1197831252):
              {
                unsigned int _t51_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t51_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t51_switch_tag)
                  {
                  case /* urtl */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t52_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t52_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t52_switch_tag)
                        {
                        case /* e */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              CORBA_long *_local_x;
                              CORBA_long *_local_y;
                              CORBA_long *_local_angle;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t53_principal_len;
                              CORBA_long _t54_storage;
                              CORBA_long _t55_storage;
                              CORBA_long _t56_storage;
                              CORBA_Environment _t57_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t53_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t53_principal_len);
                              flick_iiop_decode_new_chunk(_t53_principal_len);
                              flick_iiop_decode_end_chunk(_t53_principal_len);
                              flick_iiop_decode_end_glob(_t53_principal_len);
                              /* Begin decode phase on parameters */
                              _local_x = &_t54_storage;
                              _local_y = &_t55_storage;
                              _local_angle = &_t56_storage;
                              _ev = &_t57_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(20);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_cdr_encode_signed32(4, *_local_x);
                                    flick_cdr_encode_signed32(8, *_local_y);
                                    flick_cdr_encode_signed32(12, *_local_angle);
                                    flick_iiop_encode_end_chunk(16);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(20);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
