#include "ex-client.h"

void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->a);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->a);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_A(flick_marshal_stream_t _stream, const A *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_short A_op(A _obj, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(40);
    flick_mach3mig_encode_new_chunk(40);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(32, b);
    flick_mach3mig_encode_end_chunk(40);
    flick_mach3mig_encode_end_glob(40);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t5_switch_tag;

    flick_mach3mig_decode_new_glob(64);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t5_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t5_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t6_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t6_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t6_switch_tag)
            {
            case '$':
              {
                char _t7_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t7_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t7_switch_tag)
                  {
                  case 'o':
                    {
                      char _t8_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t8_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t8_switch_tag)
                        {
                        case 'p':
                          {
                            char _t9_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t9_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t9_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed16(0, _return);
                                        flick_mach3mig_decode_end_chunk(8);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_atomic_user_id);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_atomic_user_id)
                                          {
                                          case 0:
                                            {
                                              (A_B *)(_ev->_except) = CORBA_flick_alloc(sizeof(A_B ));
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed16(0, ((A_B *)(_ev->_except))->a);
                                              flick_mach3mig_decode_end_chunk(8);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(64);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

