#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 5550001;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, inInt);
    flick_mach3mig_encode_signed32(8, *inoutInt);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t1_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t1_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t1_switch_tag)
      {
      case (signed int) 5550101:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_chunk(16);
                flick_mach3mig_decode_signed32(0, *inoutInt);
                flick_mach3mig_decode_signed32(8, *outInt);
                flick_mach3mig_decode_end_chunk(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t4_internal;
    unsigned *_t5_internal;

    flick_mach3mig_encode_new_glob(808);
    _stream->msg_buf->Head.msgh_id = 5550002;
    /* Begin encode phase on parameters */
    _t4_internal = (unsigned *)(&(inStruct));
    flick_mach3mig_array_encode_new_chunk(808);
    flick_mach3mig_array_encode_signed32_type(0, 100, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t4_internal, 4 * 100);
    _t5_internal = (unsigned *)(&(*inoutStruct));
    flick_mach3mig_array_encode_signed32_type(404, 100, 1, _type);
    flick_mach3mig_array_encode_bcopy(408, _t5_internal, 4 * 100);
    flick_mach3mig_encode_end_chunk(808);
    flick_mach3mig_encode_end_glob(808);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    flick_mach3mig_decode_new_glob(808);
    _t15_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t15_switch_tag)
      {
      case (signed int) 5550102:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned *_t20_internal;
                flick_unsigned8_t _t21_array_length;
                unsigned *_t22_internal;
                flick_unsigned8_t _t23_array_length;

                /* Begin decode phase on parameters */
                _t20_internal = (unsigned *)(&(*inoutStruct));
                _t21_array_length = 100;
                flick_mach3mig_array_decode_new_chunk(808);
                flick_mach3mig_array_decode_signed32_type(0, _t21_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(4, _t20_internal, 4 * _t21_array_length);
                _t22_internal = (unsigned *)(&(*outStruct));
                _t23_array_length = 100;
                flick_mach3mig_array_decode_signed32_type(404, _t23_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(408, _t22_internal, 4 * _t23_array_length);
                flick_mach3mig_decode_end_chunk(808);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(808);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t26_internal;
    unsigned *_t27_internal;

    flick_mach3mig_encode_new_glob(2408);
    _stream->msg_buf->Head.msgh_id = 5550003;
    /* Begin encode phase on parameters */
    _t26_internal = (unsigned *)inArray;
    flick_mach3mig_array_encode_new_chunk(2408);
    flick_mach3mig_array_encode_signed32_type(0, 300, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t26_internal, 4 * 300);
    _t27_internal = (unsigned *)inoutArray;
    flick_mach3mig_array_encode_signed32_type(1204, 300, 1, _type);
    flick_mach3mig_array_encode_bcopy(1208, _t27_internal, 4 * 300);
    flick_mach3mig_encode_end_chunk(2408);
    flick_mach3mig_encode_end_glob(2408);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t37_switch_tag;

    flick_mach3mig_decode_new_glob(2408);
    _t37_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t37_switch_tag)
      {
      case (signed int) 5550103:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned *_t42_internal;
                flick_unsigned16_t _t43_array_length;
                unsigned *_t44_internal;
                flick_unsigned16_t _t45_array_length;

                /* Begin decode phase on parameters */
                _t42_internal = (unsigned *)inoutArray;
                _t43_array_length = 300;
                flick_mach3mig_array_decode_new_chunk(2408);
                flick_mach3mig_array_decode_signed32_type(0, _t43_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(4, _t42_internal, 4 * _t43_array_length);
                _t44_internal = (unsigned *)outArray;
                _t45_array_length = 300;
                flick_mach3mig_array_decode_signed32_type(1204, _t45_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(1208, _t44_internal, 4 * _t45_array_length);
                flick_mach3mig_decode_end_chunk(2408);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2408);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(2004);
    _stream->msg_buf->Head.msgh_id = 5550004;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(4 + 4 * inArrayCnt);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, 1, _type);
    if (inArrayCnt > (unsigned int) 500)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(4, inArray, 4 * inArrayCnt);
    flick_mach3mig_array_encode_end_chunk(4 + 4 * inArrayCnt);
    flick_mach3mig_encode_end_glob(2004);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t47_switch_tag;

    flick_mach3mig_decode_new_glob(2004);
    _t47_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t47_switch_tag)
      {
      case (signed int) 5550104:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_signed32_type(0, *outArrayCnt, 1, _type);
                if (*outArrayCnt > (unsigned int) 500)
                  return MIG_ARRAY_TOO_LARGE;
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_array_decode_new_chunk(4 * *outArrayCnt);
                flick_mach3mig_array_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
                flick_mach3mig_array_decode_end_chunk(4 * *outArrayCnt);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2004);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    _stream->msg_buf->Head.msgh_id = 5550005;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_glob(12);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    flick_mach3mig_array_encode_end_glob(12);
    flick_mach3mig_array_encode_new_glob(4 * inArrayCnt);
    flick_mach3mig_array_encode_new_chunk(4 * inArrayCnt);
    flick_mach3mig_array_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_mach3mig_array_encode_end_chunk(4 * inArrayCnt);
    flick_mach3mig_array_encode_end_glob(4 * inArrayCnt);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t49_switch_tag;

    _t49_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t49_switch_tag)
      {
      case (signed int) 5550105:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(12);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_signed32_type(0, *outArrayCnt, 1, _long_type);
                flick_mach3mig_array_decode_end_chunk(12);
                flick_mach3mig_array_decode_end_glob(12);
                flick_mach3mig_array_decode_new_glob(4 * *outArrayCnt);
                flick_mach3mig_array_decode_new_chunk(4 * *outArrayCnt);
                *outArray = mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned ));
                flick_mach3mig_array_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
                flick_mach3mig_array_decode_end_chunk(4 * *outArrayCnt);
                flick_mach3mig_array_decode_end_glob(4 * *outArrayCnt);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    char *_t52_internal;
    char *_t53_internal;

    flick_mach3mig_encode_new_glob(1608);
    _stream->msg_buf->Head.msgh_id = 5550006;
    /* Begin encode phase on parameters */
    _t52_internal = (char *)inString;
    flick_mach3mig_array_encode_new_chunk(1608);
    flick_mach3mig_array_encode_char8_type(0, 799, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t52_internal, 1 * 799);
    _t53_internal = (char *)inoutString;
    flick_mach3mig_array_encode_char8_type(804, 799, 1, _type);
    flick_mach3mig_array_encode_bcopy(808, _t53_internal, 1 * 799);
    flick_mach3mig_encode_end_chunk(1608);
    flick_mach3mig_encode_end_glob(1608);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t63_switch_tag;

    flick_mach3mig_decode_new_glob(1608);
    _t63_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t63_switch_tag)
      {
      case (signed int) 5550106:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                char *_t68_internal;
                flick_unsigned16_t _t69_array_length;
                char *_t70_internal;
                flick_unsigned16_t _t71_array_length;

                /* Begin decode phase on parameters */
                _t68_internal = (char *)inoutString;
                _t69_array_length = 799;
                flick_mach3mig_array_decode_new_chunk(1608);
                flick_mach3mig_array_decode_char8_type(0, _t69_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(4, _t68_internal, 1 * _t69_array_length);
                _t70_internal = (char *)outString;
                _t71_array_length = 799;
                flick_mach3mig_array_decode_char8_type(804, _t71_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(808, _t70_internal, 1 * _t71_array_length);
                flick_mach3mig_decode_end_chunk(1608);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(1608);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    _stream->msg_buf->Head.msgh_id = 5550007;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_string(inString, null_flick_free, mach3mig, 997);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t73_switch_tag;

    _t73_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t73_switch_tag)
      {
      case (signed int) 5550107:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_string(outString, null_flick_alloc, mach3mig, 997);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 5550008;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_port32(0, inRight, 1, MACH_MSG_TYPE_MOVE_RECEIVE);
    flick_mach3mig_encode_port32(8, *inoutRight, 1, MACH_MSG_TYPE_COPY_SEND);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t75_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t75_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t75_switch_tag)
      {
      case (signed int) 5550108:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_chunk(16);
                flick_mach3mig_decode_port32(0, *inoutRight, 1, MACH_MSG_TYPE_PORT_SEND);
                flick_mach3mig_decode_port32(8, *outRight, 1, MACH_MSG_TYPE_PORT_RECEIVE);
                flick_mach3mig_decode_end_chunk(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    _stream->msg_buf->Head.msgh_id = 5550009;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_glob(12);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MOVE_RECEIVE, inRightCnt, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    flick_mach3mig_array_encode_end_glob(12);
    flick_mach3mig_array_encode_new_glob(4 * inRightCnt);
    flick_mach3mig_array_encode_new_chunk(4 * inRightCnt);
    flick_mach3mig_array_encode_bcopy(0, inRight, 4 * inRightCnt);
    flick_mach3mig_array_encode_end_chunk(4 * inRightCnt);
    flick_mach3mig_array_encode_end_glob(4 * inRightCnt);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t77_switch_tag;

    _t77_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t77_switch_tag)
      {
      case (signed int) 5550109:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(12);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_RECEIVE, *outRightCnt, 1, _long_type);
                flick_mach3mig_array_decode_end_chunk(12);
                flick_mach3mig_array_decode_end_glob(12);
                flick_mach3mig_array_decode_new_glob(4 * *outRightCnt);
                flick_mach3mig_array_decode_new_chunk(4 * *outRightCnt);
                *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
                flick_mach3mig_array_decode_bcopy(0, *outRight, 4 * *outRightCnt);
                flick_mach3mig_array_decode_end_chunk(4 * *outRightCnt);
                flick_mach3mig_array_decode_end_glob(4 * *outRightCnt);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 5550011;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16);
    flick_mach3mig_array_encode_signed32_type(0, 1, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, inInt);
    flick_mach3mig_array_encode_signed32_type(8, 1, 0, _type);
    flick_mach3mig_array_encode_unsigned32(12, *inoutInt);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t83_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t83_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t83_switch_tag)
      {
      case (signed int) 5550111:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                flick_unsigned8_t _t86_array_length;
                flick_unsigned8_t _t87_array_length;

                /* Begin decode phase on parameters */
                _t86_array_length = 1;
                flick_mach3mig_array_decode_new_chunk(16);
                flick_mach3mig_array_decode_signed32_type(0, _t86_array_length, 0, _type);
                flick_mach3mig_array_decode_unsigned32(4, *inoutInt);
                _t87_array_length = 1;
                flick_mach3mig_array_decode_signed32_type(8, _t87_array_length, 0, _type);
                flick_mach3mig_array_decode_unsigned32(12, *outInt);
                flick_mach3mig_decode_end_chunk(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 5550012;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 200, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, inStruct);
    flick_mach3mig_array_encode_signed32_type(8, 1 * 200, 0, _type);
    flick_mach3mig_array_encode_unsigned32(12, *inoutStruct);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t93_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t93_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t93_switch_tag)
      {
      case (signed int) 5550112:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                flick_unsigned8_t _t96_array_length;
                flick_unsigned8_t _t97_array_length;

                /* Begin decode phase on parameters */
                _t96_array_length = 1;
                flick_mach3mig_array_decode_new_chunk(16);
                _t96_array_length = _t96_array_length * 200;
                flick_mach3mig_array_decode_signed32_type(0, _t96_array_length, 0, _type);
                flick_mach3mig_array_decode_unsigned32(4, *inoutStruct);
                _t97_array_length = 1;
                _t97_array_length = _t97_array_length * 200;
                flick_mach3mig_array_decode_signed32_type(8, _t97_array_length, 0, _type);
                flick_mach3mig_array_decode_unsigned32(12, *outStruct);
                flick_mach3mig_decode_end_chunk(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 5550013;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 400, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, inArray);
    flick_mach3mig_array_encode_signed32_type(8, 1 * 400, 0, _type);
    flick_mach3mig_array_encode_unsigned32(12, *inoutArray);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t103_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t103_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t103_switch_tag)
      {
      case (signed int) 5550113:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                flick_unsigned8_t _t106_array_length;
                flick_unsigned8_t _t107_array_length;

                /* Begin decode phase on parameters */
                _t106_array_length = 1;
                flick_mach3mig_array_decode_new_chunk(16);
                _t106_array_length = _t106_array_length * 400;
                flick_mach3mig_array_decode_signed32_type(0, _t106_array_length, 0, _type);
                flick_mach3mig_array_decode_unsigned32(4, *inoutArray);
                _t107_array_length = 1;
                _t107_array_length = _t107_array_length * 400;
                flick_mach3mig_array_decode_signed32_type(8, _t107_array_length, 0, _type);
                flick_mach3mig_array_decode_unsigned32(12, *outArray);
                flick_mach3mig_decode_end_chunk(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32);
    _stream->msg_buf->Head.msgh_id = 5550014;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(32);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(12, inArray);
    flick_mach3mig_array_encode_signed32_type(16, *inoutArrayCnt, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(28, *inoutArray);
    flick_mach3mig_encode_end_chunk(32);
    flick_mach3mig_encode_end_glob(32);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t109_switch_tag;

    flick_mach3mig_decode_new_glob(32);
    _t109_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t109_switch_tag)
      {
      case (signed int) 5550114:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_chunk(32);
                flick_mach3mig_array_decode_signed32_type(0, *inoutArrayCnt, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(12, *inoutArray);
                flick_mach3mig_array_decode_signed32_type(16, *outArrayCnt, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(28, *outArray);
                flick_mach3mig_decode_end_chunk(32);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(32);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 5550015;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16);
    flick_mach3mig_array_encode_char8_type(0, 1 * 800, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, inString);
    flick_mach3mig_array_encode_char8_type(8, 1 * 800, 0, _type);
    flick_mach3mig_array_encode_unsigned32(12, *inoutString);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t115_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t115_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t115_switch_tag)
      {
      case (signed int) 5550115:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                flick_unsigned8_t _t118_array_length;
                flick_unsigned8_t _t119_array_length;

                /* Begin decode phase on parameters */
                _t118_array_length = 1;
                flick_mach3mig_array_decode_new_chunk(16);
                _t118_array_length = _t118_array_length * 800;
                flick_mach3mig_array_decode_char8_type(0, _t118_array_length, 0, _type);
                flick_mach3mig_array_decode_unsigned32(4, *inoutString);
                _t119_array_length = 1;
                _t119_array_length = _t119_array_length * 800;
                flick_mach3mig_array_decode_char8_type(8, _t119_array_length, 0, _type);
                flick_mach3mig_array_decode_unsigned32(12, *outString);
                flick_mach3mig_decode_end_chunk(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32);
    _stream->msg_buf->Head.msgh_id = 5550016;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(32);
    flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MAKE_SEND, inRightCnt, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(12, inRight);
    flick_mach3mig_array_encode_port32_type(16, MACH_MSG_TYPE_MAKE_SEND, *inoutRightCnt, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(28, *inoutRight);
    flick_mach3mig_encode_end_chunk(32);
    flick_mach3mig_encode_end_glob(32);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t121_switch_tag;

    flick_mach3mig_decode_new_glob(32);
    _t121_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t121_switch_tag)
      {
      case (signed int) 5550116:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_chunk(32);
                flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_SEND, *inoutRightCnt, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(12, *inoutRight);
                flick_mach3mig_array_decode_port32_type(16, MACH_MSG_TYPE_PORT_SEND, *outRightCnt, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(28, *outRight);
                flick_mach3mig_decode_end_chunk(32);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(32);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

