#include "turtle-server-client.h"

void flick_marshal_stub_Server(flick_marshal_stream_t _stream, const Server *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_long Server_SetSize(Server _obj, CORBA_long width, CORBA_long height, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'S');
    flick_mach3mig_encode_char8(40, 'i');
    flick_mach3mig_encode_char8(48, 'z');
    flick_mach3mig_encode_char8(56, 'e');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(72, width);
    flick_mach3mig_encode_signed32(80, height);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t10_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t10_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t10_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t11_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t11_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t11_switch_tag)
            {
            case '$':
              {
                char _t12_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t12_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t12_switch_tag)
                  {
                  case 'S':
                    {
                      char _t13_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t13_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t13_switch_tag)
                        {
                        case 'e':
                          {
                            char _t14_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t14_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t14_switch_tag)
                              {
                              case 't':
                                {
                                  char _t15_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t15_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t15_switch_tag)
                                    {
                                    case 'S':
                                      {
                                        char _t16_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t16_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t16_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t17_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t17_switch_tag)
                                                {
                                                case 'z':
                                                  {
                                                    char _t18_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t18_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t19_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t19_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Server_AddWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'A');
    flick_mach3mig_encode_char8(16, 'd');
    flick_mach3mig_encode_char8(24, 'd');
    flick_mach3mig_encode_char8(32, 'W');
    flick_mach3mig_encode_char8(40, 'a');
    flick_mach3mig_encode_char8(48, 'l');
    flick_mach3mig_encode_char8(56, 'l');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(72, startx);
    flick_mach3mig_encode_signed32(80, starty);
    flick_mach3mig_encode_signed32(88, endx);
    flick_mach3mig_encode_signed32(96, endy);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t30_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t30_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t30_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t31_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t31_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t31_switch_tag)
            {
            case '$':
              {
                char _t32_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t32_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t32_switch_tag)
                  {
                  case 'A':
                    {
                      char _t33_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t33_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t33_switch_tag)
                        {
                        case 'd':
                          {
                            char _t34_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t34_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t34_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t35_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t35_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t35_switch_tag)
                                    {
                                    case 'W':
                                      {
                                        char _t36_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t36_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t36_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t37_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t37_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t37_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t38_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t38_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t38_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t39_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t39_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t39_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Server_DelWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'D');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 'l');
    flick_mach3mig_encode_char8(32, 'W');
    flick_mach3mig_encode_char8(40, 'a');
    flick_mach3mig_encode_char8(48, 'l');
    flick_mach3mig_encode_char8(56, 'l');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(72, startx);
    flick_mach3mig_encode_signed32(80, starty);
    flick_mach3mig_encode_signed32(88, endx);
    flick_mach3mig_encode_signed32(96, endy);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t50_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t50_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t50_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t51_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t51_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t51_switch_tag)
            {
            case '$':
              {
                char _t52_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t52_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t52_switch_tag)
                  {
                  case 'D':
                    {
                      char _t53_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t53_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t53_switch_tag)
                        {
                        case 'e':
                          {
                            char _t54_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t54_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t54_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t55_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t55_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t55_switch_tag)
                                    {
                                    case 'W':
                                      {
                                        char _t56_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t56_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t56_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t57_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t57_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t57_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t58_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t58_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t58_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t59_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t59_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t59_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Server_AddRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_long color, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'A');
    flick_mach3mig_encode_char8(16, 'd');
    flick_mach3mig_encode_char8(24, 'd');
    flick_mach3mig_encode_char8(32, 'R');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(72, left);
    flick_mach3mig_encode_signed32(80, top);
    flick_mach3mig_encode_signed32(88, right);
    flick_mach3mig_encode_signed32(96, bottom);
    flick_mach3mig_encode_signed32(104, color);
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t70_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t70_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t70_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t71_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t71_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t71_switch_tag)
            {
            case '$':
              {
                char _t72_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t72_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t72_switch_tag)
                  {
                  case 'A':
                    {
                      char _t73_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t73_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t73_switch_tag)
                        {
                        case 'd':
                          {
                            char _t74_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t74_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t74_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t75_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t75_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t75_switch_tag)
                                    {
                                    case 'R':
                                      {
                                        char _t76_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t76_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t76_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t77_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t77_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t77_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t78_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t78_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t78_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t79_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t79_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t79_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Server_DelRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'D');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 'l');
    flick_mach3mig_encode_char8(32, 'R');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(72, left);
    flick_mach3mig_encode_signed32(80, top);
    flick_mach3mig_encode_signed32(88, right);
    flick_mach3mig_encode_signed32(96, bottom);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t90_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t90_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t90_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t91_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t91_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t91_switch_tag)
            {
            case '$':
              {
                char _t92_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t92_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t92_switch_tag)
                  {
                  case 'D':
                    {
                      char _t93_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t93_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t93_switch_tag)
                        {
                        case 'e':
                          {
                            char _t94_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t94_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t94_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t95_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t95_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t95_switch_tag)
                                    {
                                    case 'R':
                                      {
                                        char _t96_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t96_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t96_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t97_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t97_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t97_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t98_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t98_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t98_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t99_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t99_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t99_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Server_SetTurtle(Server _obj, CORBA_long x, CORBA_long y, CORBA_long angle, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'T');
    flick_mach3mig_encode_char8(40, 'u');
    flick_mach3mig_encode_char8(48, 'r');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'l');
    flick_mach3mig_encode_char8(72, 'e');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(88, x);
    flick_mach3mig_encode_signed32(96, y);
    flick_mach3mig_encode_signed32(104, angle);
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t112_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t112_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t112_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t113_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t113_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t113_switch_tag)
            {
            case '$':
              {
                char _t114_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t114_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t114_switch_tag)
                  {
                  case 'S':
                    {
                      char _t115_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t115_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t115_switch_tag)
                        {
                        case 'e':
                          {
                            char _t116_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t116_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t116_switch_tag)
                              {
                              case 't':
                                {
                                  char _t117_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t117_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t117_switch_tag)
                                    {
                                    case 'T':
                                      {
                                        char _t118_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t118_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t118_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t119_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t119_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t119_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t120_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t120_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t120_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t121_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t121_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t121_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t122_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t122_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t122_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t123_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t123_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t123_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _return);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(112);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Server_GetTurtle(Server _obj, CORBA_long *x, CORBA_long *y, CORBA_long *angle, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'G');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'T');
    flick_mach3mig_encode_char8(40, 'u');
    flick_mach3mig_encode_char8(48, 'r');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'l');
    flick_mach3mig_encode_char8(72, 'e');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t136_switch_tag;

    flick_mach3mig_decode_new_glob(136);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t136_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t136_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t137_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t137_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t137_switch_tag)
            {
            case '$':
              {
                char _t138_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t138_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t138_switch_tag)
                  {
                  case 'G':
                    {
                      char _t139_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t139_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t139_switch_tag)
                        {
                        case 'e':
                          {
                            char _t140_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t140_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t140_switch_tag)
                              {
                              case 't':
                                {
                                  char _t141_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t141_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t141_switch_tag)
                                    {
                                    case 'T':
                                      {
                                        char _t142_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t142_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t142_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t143_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t143_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t143_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t144_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t144_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t144_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t145_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t145_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t145_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t146_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t146_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t146_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t147_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t147_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t147_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(32);
                                                                                  flick_mach3mig_decode_signed32(0, _return);
                                                                                  flick_mach3mig_decode_signed32(8, *x);
                                                                                  flick_mach3mig_decode_signed32(16, *y);
                                                                                  flick_mach3mig_decode_signed32(24, *angle);
                                                                                  flick_mach3mig_decode_end_chunk(32);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(136);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

