#include "arrays-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_arrays;
	s.vers_num = _VERS_arrays;

	reg_success = flick_server_register(s, &arrays_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->elem1);
  flick_xdr_encode_char8(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->elem1);
  flick_xdr_decode_char8(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->elem1);
  flick_xdr_encode_signed32(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->elem1);
  flick_xdr_decode_signed32(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 4 * 50);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t1_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t2_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 4 * _t1_array_length);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 4 * 50);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t4_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 4 * _t4_array_length);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_suntcp_encode_new_glob(208);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t6_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 4 * 50);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(208);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_suntcp_decode_new_glob(208);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t7_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t8_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 4 * _t7_array_length);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(208);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t9_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t10_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t11_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t12_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t12_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t13_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t13_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
  for (_t14_array_iter = 0; _t14_array_iter < _t13_array_length; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t14_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t14_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t15_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t15_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t16_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t16_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t17_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t17_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t18_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t18_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t18_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t19_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t19_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t20_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t20_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t21_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
  for (_t21_array_iter = 0; _t21_array_iter < 50; _t21_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t21_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t21_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t22_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t22_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t23_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t23_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t24_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t24_array_iter = 0; _t24_array_iter < 50; _t24_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t24_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t24_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t25_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t25_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t26_array_iter = 0; _t26_array_iter < _t25_array_length; _t26_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t26_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t26_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t205_switch_tag;

    flick_suntcp_decode_new_glob(884);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t205_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t205_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t206_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t206_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t206_switch_tag)
            {
            case 't':
              {
                char _t207_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t207_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t207_switch_tag)
                  {
                  case 'e':
                    {
                      char _t208_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t208_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t208_switch_tag)
                        {
                        case 's':
                          {
                            char _t209_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t209_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t209_switch_tag)
                              {
                              case 't':
                                {
                                  char _t210_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t210_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t210_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t211_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t211_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t211_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t212_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t212_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t212_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t213_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t213_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t213_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t214_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t214_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t214_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct cLd *_local_inp;
                                                                  struct cLd *_local_iop;
                                                                  struct cLd *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct cLd _return;
                                                                  unsigned int _t215_ignore;
                                                                  struct cLd _t216_storage;
                                                                  flick_unsigned8_t _t217_array_length;
                                                                  flick_unsigned8_t _t218_array_iter;
                                                                  struct cLd _t219_storage;
                                                                  flick_unsigned8_t _t220_array_length;
                                                                  flick_unsigned8_t _t221_array_iter;
                                                                  struct cLd _t222_storage;
                                                                  CORBA_Environment _t223_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t215_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t215_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t215_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t215_ignore);
                                                                  _local_inp = &_t216_storage;
                                                                  flick_xdr_decode_char8(16, _local_inp->first);
                                                                  _t217_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t218_array_iter = 0; _t218_array_iter < _t217_array_length; _t218_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t218_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 4 * _t217_array_length);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(12);
                                                                  flick_xdr_decode_float64(0, _local_inp->last);
                                                                  _local_iop = &_t219_storage;
                                                                  flick_xdr_decode_char8(8, _local_iop->first);
                                                                  _t220_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t221_array_iter = 0; _t221_array_iter < _t220_array_length; _t221_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t221_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 4 * _t220_array_length);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(8);
                                                                  flick_xdr_decode_float64(0, _local_iop->last);
                                                                  _local_outp = &_t222_storage;
                                                                  _ev = &_t223_storage;
                                                                  flick_suntcp_decode_end_chunk(8);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(640);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t227_array_iter;
                                                                        flick_unsigned8_t _t228_array_iter;
                                                                        flick_unsigned8_t _t229_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_char8(0, _return.first);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t227_array_iter = 0; _t227_array_iter < 50; _t227_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t227_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _return.data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_float64(0, _return.last);
                                                                        flick_xdr_encode_char8(8, _local_iop->first);
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t228_array_iter = 0; _t228_array_iter < 50; _t228_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t228_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_iop->data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_float64(0, _local_iop->last);
                                                                        flick_xdr_encode_char8(8, _local_outp->first);
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t229_array_iter = 0; _t229_array_iter < 50; _t229_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t229_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_outp->data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_float64(0, _local_outp->last);
                                                                        flick_suntcp_encode_end_chunk(8);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(640);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t230_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t230_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t230_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t231_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t231_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t231_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t232_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t232_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t232_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct dLc *_local_inp;
                                                                  struct dLc *_local_iop;
                                                                  struct dLc *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct dLc _return;
                                                                  unsigned int _t233_ignore;
                                                                  struct dLc _t234_storage;
                                                                  flick_unsigned8_t _t235_array_length;
                                                                  flick_unsigned8_t _t236_array_iter;
                                                                  struct dLc _t237_storage;
                                                                  flick_unsigned8_t _t238_array_length;
                                                                  flick_unsigned8_t _t239_array_iter;
                                                                  struct dLc _t240_storage;
                                                                  CORBA_Environment _t241_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t233_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t233_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t233_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t233_ignore);
                                                                  _local_inp = &_t234_storage;
                                                                  flick_xdr_decode_float64(16, _local_inp->first);
                                                                  _t235_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t236_array_iter = 0; _t236_array_iter < _t235_array_length; _t236_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t236_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 4 * _t235_array_length);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(12);
                                                                  flick_xdr_decode_char8(0, _local_inp->last);
                                                                  _local_iop = &_t237_storage;
                                                                  flick_xdr_decode_float64(4, _local_iop->first);
                                                                  _t238_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t239_array_iter = 0; _t239_array_iter < _t238_array_length; _t239_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t239_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 4 * _t238_array_length);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _local_iop->last);
                                                                  _local_outp = &_t240_storage;
                                                                  _ev = &_t241_storage;
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(640);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t245_array_iter;
                                                                        flick_unsigned8_t _t246_array_iter;
                                                                        flick_unsigned8_t _t247_array_iter;

                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_float64(0, _return.first);
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t245_array_iter = 0; _t245_array_iter < 50; _t245_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t245_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _return.data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_char8(0, _return.last);
                                                                        flick_xdr_encode_float64(4, _local_iop->first);
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t246_array_iter = 0; _t246_array_iter < 50; _t246_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t246_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_iop->data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_char8(0, _local_iop->last);
                                                                        flick_xdr_encode_float64(4, _local_outp->first);
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t247_array_iter = 0; _t247_array_iter < 50; _t247_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t247_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_outp->data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_char8(0, _local_outp->last);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(640);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t248_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t248_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t248_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t249_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t249_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t249_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t250_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t250_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t250_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct sLs *_local_inp;
                                                                  struct sLs *_local_iop;
                                                                  struct sLs *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct sLs _return;
                                                                  unsigned int _t251_ignore;
                                                                  struct sLs _t252_storage;
                                                                  flick_unsigned8_t _t253_array_length;
                                                                  flick_unsigned8_t _t254_array_iter;
                                                                  struct sLs _t255_storage;
                                                                  flick_unsigned8_t _t256_array_length;
                                                                  flick_unsigned8_t _t257_array_iter;
                                                                  struct sLs _t258_storage;
                                                                  CORBA_Environment _t259_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t251_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t251_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t251_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t251_ignore);
                                                                  _local_inp = &_t252_storage;
                                                                  flick_xdr_decode_signed16(16, _local_inp->first);
                                                                  _t253_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t254_array_iter = 0; _t254_array_iter < _t253_array_length; _t254_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t254_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 4 * _t253_array_length);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(8);
                                                                  flick_xdr_decode_signed16(0, _local_inp->last);
                                                                  _local_iop = &_t255_storage;
                                                                  flick_xdr_decode_signed16(4, _local_iop->first);
                                                                  _t256_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t257_array_iter = 0; _t257_array_iter < _t256_array_length; _t257_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t257_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 4 * _t256_array_length);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_signed16(0, _local_iop->last);
                                                                  _local_outp = &_t258_storage;
                                                                  _ev = &_t259_storage;
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(628);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t263_array_iter;
                                                                        flick_unsigned8_t _t264_array_iter;
                                                                        flick_unsigned8_t _t265_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _return.first);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t263_array_iter = 0; _t263_array_iter < 50; _t263_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t263_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _return.data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_signed16(0, _return.last);
                                                                        flick_xdr_encode_signed16(4, _local_iop->first);
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t264_array_iter = 0; _t264_array_iter < 50; _t264_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t264_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_iop->data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_signed16(0, _local_iop->last);
                                                                        flick_xdr_encode_signed16(4, _local_outp->first);
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t265_array_iter = 0; _t265_array_iter < 50; _t265_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t265_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_outp->data, 4 * 50);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _local_outp->last);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(628);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t266_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t266_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t266_switch_tag)
            {
            case 't':
              {
                char _t267_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t267_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t267_switch_tag)
                  {
                  case 'e':
                    {
                      char _t268_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t268_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t268_switch_tag)
                        {
                        case 's':
                          {
                            char _t269_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t269_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t269_switch_tag)
                              {
                              case 't':
                                {
                                  char _t270_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t270_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t270_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t271_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t271_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t271_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t272_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t272_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t272_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t273_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t273_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t273_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t274_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t274_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t274_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t275_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t275_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t275_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cLCd *_local_inp;
                                                                        struct cLCd *_local_iop;
                                                                        struct cLCd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cLCd _return;
                                                                        unsigned int _t276_ignore;
                                                                        struct cLCd _t277_storage;
                                                                        flick_unsigned8_t _t278_array_length;
                                                                        flick_unsigned8_t _t279_array_iter;
                                                                        struct cLCd _t280_storage;
                                                                        flick_unsigned8_t _t281_array_length;
                                                                        flick_unsigned8_t _t282_array_iter;
                                                                        struct cLCd _t283_storage;
                                                                        CORBA_Environment _t284_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t276_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t276_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t276_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t276_ignore);
                                                                        _local_inp = &_t277_storage;
                                                                        flick_xdr_decode_char8(16, _local_inp->first);
                                                                        _t278_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t279_array_iter = 0; _t279_array_iter < _t278_array_length; _t279_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t279_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t279_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t280_storage;
                                                                        flick_xdr_decode_char8(8, _local_iop->first);
                                                                        _t281_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t282_array_iter = 0; _t282_array_iter < _t281_array_length; _t282_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t282_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t282_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_float64(0, _local_iop->last);
                                                                        _local_outp = &_t283_storage;
                                                                        _ev = &_t284_storage;
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t288_array_iter;
                                                                              flick_unsigned8_t _t289_array_iter;
                                                                              flick_unsigned8_t _t290_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t288_array_iter = 0; _t288_array_iter < 50; _t288_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t288_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t288_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _return.last);
                                                                              flick_xdr_encode_char8(8, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t289_array_iter = 0; _t289_array_iter < 50; _t289_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t289_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t289_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _local_iop->last);
                                                                              flick_xdr_encode_char8(8, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t290_array_iter = 0; _t290_array_iter < 50; _t290_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t290_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t290_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1240);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t291_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t291_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t291_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t292_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t292_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t292_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t293_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t293_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t293_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cCLd *_local_inp;
                                                                        struct cCLd *_local_iop;
                                                                        struct cCLd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cCLd _return;
                                                                        unsigned int _t294_ignore;
                                                                        struct cCLd _t295_storage;
                                                                        flick_unsigned8_t _t296_array_length;
                                                                        flick_unsigned8_t _t297_array_iter;
                                                                        struct cCLd _t298_storage;
                                                                        flick_unsigned8_t _t299_array_length;
                                                                        flick_unsigned8_t _t300_array_iter;
                                                                        struct cCLd _t301_storage;
                                                                        CORBA_Environment _t302_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t294_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t294_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t294_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t294_ignore);
                                                                        _local_inp = &_t295_storage;
                                                                        flick_xdr_decode_char8(16, _local_inp->first);
                                                                        _t296_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t297_array_iter = 0; _t297_array_iter < _t296_array_length; _t297_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t297_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t297_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t298_storage;
                                                                        flick_xdr_decode_char8(8, _local_iop->first);
                                                                        _t299_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t300_array_iter = 0; _t300_array_iter < _t299_array_length; _t300_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t300_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t300_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_float64(0, _local_iop->last);
                                                                        _local_outp = &_t301_storage;
                                                                        _ev = &_t302_storage;
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t306_array_iter;
                                                                              flick_unsigned8_t _t307_array_iter;
                                                                              flick_unsigned8_t _t308_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t306_array_iter = 0; _t306_array_iter < 50; _t306_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t306_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t306_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _return.last);
                                                                              flick_xdr_encode_char8(8, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t307_array_iter = 0; _t307_array_iter < 50; _t307_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t307_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t307_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _local_iop->last);
                                                                              flick_xdr_encode_char8(8, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t308_array_iter = 0; _t308_array_iter < 50; _t308_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t308_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t308_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1240);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t309_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t309_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t309_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t310_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t310_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t310_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t311_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t311_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t311_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t312_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t312_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t312_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dLCc *_local_inp;
                                                                        struct dLCc *_local_iop;
                                                                        struct dLCc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dLCc _return;
                                                                        unsigned int _t313_ignore;
                                                                        struct dLCc _t314_storage;
                                                                        flick_unsigned8_t _t315_array_length;
                                                                        flick_unsigned8_t _t316_array_iter;
                                                                        struct dLCc _t317_storage;
                                                                        flick_unsigned8_t _t318_array_length;
                                                                        flick_unsigned8_t _t319_array_iter;
                                                                        struct dLCc _t320_storage;
                                                                        CORBA_Environment _t321_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t313_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t313_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t313_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t313_ignore);
                                                                        _local_inp = &_t314_storage;
                                                                        flick_xdr_decode_float64(16, _local_inp->first);
                                                                        _t315_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        for (_t316_array_iter = 0; _t316_array_iter < _t315_array_length; _t316_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t316_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t316_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t317_storage;
                                                                        flick_xdr_decode_float64(4, _local_iop->first);
                                                                        _t318_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t319_array_iter = 0; _t319_array_iter < _t318_array_length; _t319_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t319_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t319_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_iop->last);
                                                                        _local_outp = &_t320_storage;
                                                                        _ev = &_t321_storage;
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t325_array_iter;
                                                                              flick_unsigned8_t _t326_array_iter;
                                                                              flick_unsigned8_t _t327_array_iter;

                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t325_array_iter = 0; _t325_array_iter < 50; _t325_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t325_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t325_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _return.last);
                                                                              flick_xdr_encode_float64(4, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t326_array_iter = 0; _t326_array_iter < 50; _t326_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t326_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t326_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _local_iop->last);
                                                                              flick_xdr_encode_float64(4, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t327_array_iter = 0; _t327_array_iter < 50; _t327_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t327_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t327_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1240);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t328_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t328_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t328_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t329_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t329_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t329_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t330_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t330_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t330_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dCLc *_local_inp;
                                                                        struct dCLc *_local_iop;
                                                                        struct dCLc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dCLc _return;
                                                                        unsigned int _t331_ignore;
                                                                        struct dCLc _t332_storage;
                                                                        flick_unsigned8_t _t333_array_length;
                                                                        flick_unsigned8_t _t334_array_iter;
                                                                        struct dCLc _t335_storage;
                                                                        flick_unsigned8_t _t336_array_length;
                                                                        flick_unsigned8_t _t337_array_iter;
                                                                        struct dCLc _t338_storage;
                                                                        CORBA_Environment _t339_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t331_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t331_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t331_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t331_ignore);
                                                                        _local_inp = &_t332_storage;
                                                                        flick_xdr_decode_float64(16, _local_inp->first);
                                                                        _t333_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        for (_t334_array_iter = 0; _t334_array_iter < _t333_array_length; _t334_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t334_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t334_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t335_storage;
                                                                        flick_xdr_decode_float64(4, _local_iop->first);
                                                                        _t336_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t337_array_iter = 0; _t337_array_iter < _t336_array_length; _t337_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t337_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t337_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_iop->last);
                                                                        _local_outp = &_t338_storage;
                                                                        _ev = &_t339_storage;
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t343_array_iter;
                                                                              flick_unsigned8_t _t344_array_iter;
                                                                              flick_unsigned8_t _t345_array_iter;

                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t343_array_iter = 0; _t343_array_iter < 50; _t343_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t343_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t343_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _return.last);
                                                                              flick_xdr_encode_float64(4, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t344_array_iter = 0; _t344_array_iter < 50; _t344_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t344_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t344_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _local_iop->last);
                                                                              flick_xdr_encode_float64(4, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t345_array_iter = 0; _t345_array_iter < 50; _t345_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t345_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t345_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1240);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t346_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t346_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t346_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t347_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t347_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t347_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t348_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t348_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t348_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t349_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t349_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t349_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sLCs *_local_inp;
                                                                        struct sLCs *_local_iop;
                                                                        struct sLCs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sLCs _return;
                                                                        unsigned int _t350_ignore;
                                                                        struct sLCs _t351_storage;
                                                                        flick_unsigned8_t _t352_array_length;
                                                                        flick_unsigned8_t _t353_array_iter;
                                                                        struct sLCs _t354_storage;
                                                                        flick_unsigned8_t _t355_array_length;
                                                                        flick_unsigned8_t _t356_array_iter;
                                                                        struct sLCs _t357_storage;
                                                                        CORBA_Environment _t358_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t350_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t350_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t350_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t350_ignore);
                                                                        _local_inp = &_t351_storage;
                                                                        flick_xdr_decode_signed16(16, _local_inp->first);
                                                                        _t352_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t353_array_iter = 0; _t353_array_iter < _t352_array_length; _t353_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t353_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t353_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_signed16(0, _local_inp->last);
                                                                        _local_iop = &_t354_storage;
                                                                        flick_xdr_decode_signed16(4, _local_iop->first);
                                                                        _t355_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        for (_t356_array_iter = 0; _t356_array_iter < _t355_array_length; _t356_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t356_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t356_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_signed16(0, _local_iop->last);
                                                                        _local_outp = &_t357_storage;
                                                                        _ev = &_t358_storage;
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1228);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t362_array_iter;
                                                                              flick_unsigned8_t _t363_array_iter;
                                                                              flick_unsigned8_t _t364_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t362_array_iter = 0; _t362_array_iter < 50; _t362_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t362_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t362_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _return.last);
                                                                              flick_xdr_encode_signed16(4, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t363_array_iter = 0; _t363_array_iter < 50; _t363_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t363_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t363_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _local_iop->last);
                                                                              flick_xdr_encode_signed16(4, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t364_array_iter = 0; _t364_array_iter < 50; _t364_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t364_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t364_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1228);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t365_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t365_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t365_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t366_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t366_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t366_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t367_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t367_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t367_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sCLs *_local_inp;
                                                                        struct sCLs *_local_iop;
                                                                        struct sCLs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sCLs _return;
                                                                        unsigned int _t368_ignore;
                                                                        struct sCLs _t369_storage;
                                                                        flick_unsigned8_t _t370_array_length;
                                                                        flick_unsigned8_t _t371_array_iter;
                                                                        struct sCLs _t372_storage;
                                                                        flick_unsigned8_t _t373_array_length;
                                                                        flick_unsigned8_t _t374_array_iter;
                                                                        struct sCLs _t375_storage;
                                                                        CORBA_Environment _t376_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t368_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t368_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t368_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t368_ignore);
                                                                        _local_inp = &_t369_storage;
                                                                        flick_xdr_decode_signed16(16, _local_inp->first);
                                                                        _t370_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t371_array_iter = 0; _t371_array_iter < _t370_array_length; _t371_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t371_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t371_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_signed16(0, _local_inp->last);
                                                                        _local_iop = &_t372_storage;
                                                                        flick_xdr_decode_signed16(4, _local_iop->first);
                                                                        _t373_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        for (_t374_array_iter = 0; _t374_array_iter < _t373_array_length; _t374_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t374_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t374_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_signed16(0, _local_iop->last);
                                                                        _local_outp = &_t375_storage;
                                                                        _ev = &_t376_storage;
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1228);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t380_array_iter;
                                                                              flick_unsigned8_t _t381_array_iter;
                                                                              flick_unsigned8_t _t382_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t380_array_iter = 0; _t380_array_iter < 50; _t380_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t380_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t380_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _return.last);
                                                                              flick_xdr_encode_signed16(4, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t381_array_iter = 0; _t381_array_iter < 50; _t381_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t381_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t381_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _local_iop->last);
                                                                              flick_xdr_encode_signed16(4, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t382_array_iter = 0; _t382_array_iter < 50; _t382_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t382_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t382_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1228);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(884);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
