#include "module-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	reg_success = flick_server_register(s, &mod1_mod2_ex2_server);
	assert(reg_success);


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	reg_success = flick_server_register(s, &mod1_mod2_ex1_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, const mod1_mod2_ex1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t mod1_mod2_ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t27_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t27_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t27_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t28_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t28_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t28_switch_tag)
            {
            case 'm':
              {
                char _t29_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t29_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t29_switch_tag)
                  {
                  case '1':
                    {
                      char _t30_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t30_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t30_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex1 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t31_ignore;
                              CORBA_Environment _t32_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t31_ignore);
                              flick_xdr_decode_unsigned32(4, _t31_ignore);
                              flick_xdr_decode_unsigned32(8, _t31_ignore);
                              flick_xdr_decode_unsigned32(12, _t31_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              _ev = &_t32_storage;
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(56);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t33_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t33_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t33_switch_tag)
            {
            case '_':
              {
                char _t34_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t34_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t34_switch_tag)
                  {
                  case 'g':
                    {
                      char _t35_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t35_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t35_switch_tag)
                        {
                        case 'e':
                          {
                            char _t36_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t36_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t36_switch_tag)
                              {
                              case 't':
                                {
                                  char _t37_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t37_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t37_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t38_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t38_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t38_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t39_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t39_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t39_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t40_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t40_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t40_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex1 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t41_ignore;
                                                            CORBA_Environment _t42_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t41_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t41_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t41_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t41_ignore);
                                                            _ev = &_t42_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '2':
                                                  {
                                                    char _t43_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t43_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t43_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex1 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t44_ignore;
                                                            CORBA_Environment _t45_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t44_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t44_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t44_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t44_ignore);
                                                            _ev = &_t45_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t46_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t46_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t46_switch_tag)
                        {
                        case 'e':
                          {
                            char _t47_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t47_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t47_switch_tag)
                              {
                              case 't':
                                {
                                  char _t48_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t48_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t48_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t49_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t49_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t49_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t50_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t50_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t50_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t51_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t51_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t51_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex1 _obj;
                                                            CORBA_long _local_l1;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t52_ignore;
                                                            CORBA_Environment _t53_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t52_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t52_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t52_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t52_ignore);
                                                            flick_xdr_decode_signed32(16, _local_l1);
                                                            _ev = &_t53_storage;
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, const mod1_mod2_ex2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t mod1_mod2_ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t91_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t91_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t91_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t92_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t92_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t92_switch_tag)
            {
            case 'm':
              {
                char _t93_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t93_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t93_switch_tag)
                  {
                  case '2':
                    {
                      char _t94_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t94_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t94_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t95_ignore;
                              CORBA_long _t96_storage;
                              CORBA_Environment _t97_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t95_ignore);
                              flick_xdr_decode_unsigned32(4, _t95_ignore);
                              flick_xdr_decode_unsigned32(8, _t95_ignore);
                              flick_xdr_decode_unsigned32(12, _t95_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              _local_b = &_t96_storage;
                              _ev = &_t97_storage;
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(56);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(12);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(8);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_xdr_encode_signed32(4, *_local_b);
                                    flick_suntcp_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(12);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t98_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t98_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t98_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t99_ignore;
                              CORBA_Environment _t100_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t99_ignore);
                              flick_xdr_decode_unsigned32(4, _t99_ignore);
                              flick_xdr_decode_unsigned32(8, _t99_ignore);
                              flick_xdr_decode_unsigned32(12, _t99_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              _ev = &_t100_storage;
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(56);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t101_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t101_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t101_switch_tag)
            {
            case '_':
              {
                char _t102_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t102_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t102_switch_tag)
                  {
                  case 'g':
                    {
                      char _t103_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t103_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t103_switch_tag)
                        {
                        case 'e':
                          {
                            char _t104_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t104_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t104_switch_tag)
                              {
                              case 't':
                                {
                                  char _t105_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t105_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t105_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t106_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t106_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t106_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t107_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t107_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t107_switch_tag)
                                                {
                                                case '3':
                                                  {
                                                    char _t108_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t108_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t108_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t109_ignore;
                                                            CORBA_Environment _t110_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t109_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t109_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t109_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t109_ignore);
                                                            _ev = &_t110_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '1':
                                                  {
                                                    char _t111_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t111_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t111_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t112_ignore;
                                                            CORBA_Environment _t113_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t112_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t112_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t112_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t112_ignore);
                                                            _ev = &_t113_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '2':
                                                  {
                                                    char _t114_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t114_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t114_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t115_ignore;
                                                            CORBA_Environment _t116_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t115_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t115_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t115_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t115_ignore);
                                                            _ev = &_t116_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t117_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t117_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t117_switch_tag)
                        {
                        case 'e':
                          {
                            char _t118_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t118_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t118_switch_tag)
                              {
                              case 't':
                                {
                                  char _t119_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t119_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t119_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t120_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t120_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t120_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t121_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t121_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t121_switch_tag)
                                                {
                                                case '3':
                                                  {
                                                    char _t122_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t122_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t122_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            CORBA_long _local_l3;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t123_ignore;
                                                            CORBA_Environment _t124_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t123_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t123_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t123_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t123_ignore);
                                                            flick_xdr_decode_signed32(16, _local_l3);
                                                            _ev = &_t124_storage;
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '1':
                                                  {
                                                    char _t125_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t125_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t125_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            CORBA_long _local_l1;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t126_ignore;
                                                            CORBA_Environment _t127_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t126_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t126_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t126_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t126_ignore);
                                                            flick_xdr_decode_signed32(16, _local_l1);
                                                            _ev = &_t127_storage;
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
