#include "oneway-client.h"

void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_short onewaytest_shortlong(onewaytest _obj, CORBA_long *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 's');
    flick_xdr_encode_char8(8, 'h');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'r');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 'l');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'g');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_signed32(60, *x);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, _return);
            flick_xdr_decode_signed32(4, *x);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void onewaytest_voidlong(onewaytest _obj, CORBA_long x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'v');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'i');
    flick_xdr_encode_char8(16, 'd');
    flick_xdr_encode_char8(20, 'l');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 'g');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed32(56, x);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_onewaylong(onewaytest _obj, CORBA_long x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'n');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 'w');
    flick_xdr_encode_char8(20, 'a');
    flick_xdr_encode_char8(24, 'y');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'n');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_signed32(64, x);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
}

void onewaytest_onewaystring(onewaytest _obj, CORBA_char *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 13);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'n');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 'w');
    flick_xdr_encode_char8(20, 'a');
    flick_xdr_encode_char8(24, 'y');
    flick_xdr_encode_char8(28, 's');
    flick_xdr_encode_char8(32, 't');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 'i');
    flick_xdr_encode_char8(44, 'n');
    flick_xdr_encode_char8(48, 'g');
    flick_xdr_encode_char8(52, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned32(68, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
    flick_xdr_encode_longstring(x, null_flick_free, suntcp);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
}

CORBA_char *onewaytest_stringreturn(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 13);
    flick_xdr_encode_char8(4, 's');
    flick_xdr_encode_char8(8, 't');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'i');
    flick_xdr_encode_char8(20, 'n');
    flick_xdr_encode_char8(24, 'g');
    flick_xdr_encode_char8(28, 'r');
    flick_xdr_encode_char8(32, 'e');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'u');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 'n');
    flick_xdr_encode_char8(52, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned32(68, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long onewaytest_longstring(onewaytest _obj, CORBA_char **x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 'l');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'n');
    flick_xdr_encode_char8(16, 'g');
    flick_xdr_encode_char8(20, 's');
    flick_xdr_encode_char8(24, 't');
    flick_xdr_encode_char8(28, 'r');
    flick_xdr_encode_char8(32, 'i');
    flick_xdr_encode_char8(36, 'n');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
    flick_xdr_encode_longstring(*x, CORBA_flick_free, suntcp);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_xdr_decode_longstring(*x, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char *onewaytest_stringlong(onewaytest _obj, CORBA_long *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 's');
    flick_xdr_encode_char8(8, 't');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'i');
    flick_xdr_encode_char8(20, 'n');
    flick_xdr_encode_char8(24, 'g');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'n');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            flick_suntcp_decode_new_glob(7);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, *x);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

