#include "parm_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_xdr_encode_longstring(_data->a, CORBA_flick_free, suntcp);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_xdr_decode_longstring(_data->a, CORBA_flick_alloc, suntcp);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_end_glob(8);
        flick_xdr_encode_longstring(_data->_u.a, CORBA_flick_free, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(8);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_end_glob(8);
        flick_xdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(8);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_suntcp_encode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 10; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_bcopy(0, *_data, 4 * 10);
  flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t1_array_length = 10;
  flick_suntcp_decode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t1_array_length);
  flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t4_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t4_array_iter = 0; _t4_array_iter < _data->_length; _t4_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t4_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t218_switch_tag;

    flick_suntcp_decode_new_glob(144);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t218_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t218_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t219_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t219_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t219_switch_tag)
            {
            case 'S':
              {
                char _t220_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t220_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t220_switch_tag)
                  {
                  case 'h':
                    {
                      char _t221_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t221_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t221_switch_tag)
                        {
                        case 'o':
                          {
                            char _t222_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t222_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t222_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t223_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t223_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t223_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t224_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t224_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t224_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                unsigned int _t225_ignore;
                                                CORBA_short _t226_storage;
                                                CORBA_short _t227_storage;
                                                CORBA_Environment _t228_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t225_ignore);
                                                flick_xdr_decode_unsigned32(4, _t225_ignore);
                                                flick_xdr_decode_unsigned32(8, _t225_ignore);
                                                flick_xdr_decode_unsigned32(12, _t225_ignore);
                                                flick_xdr_decode_signed16(16, _local_a);
                                                _local_b = &_t226_storage;
                                                flick_xdr_decode_signed16(20, *_local_b);
                                                _local_c = &_t227_storage;
                                                _ev = &_t228_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_signed16(0, _return);
                                                      flick_xdr_encode_signed16(4, *_local_b);
                                                      flick_xdr_encode_signed16(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(16);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t229_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t229_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t229_switch_tag)
                  {
                  case 'L':
                    {
                      char _t230_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t230_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t230_switch_tag)
                        {
                        case 'o':
                          {
                            char _t231_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t231_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t231_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t232_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t232_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t232_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t233_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t233_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t233_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_unsigned_long _return = 0;
                                                unsigned int _t234_ignore;
                                                CORBA_unsigned_long _t235_storage;
                                                CORBA_unsigned_long _t236_storage;
                                                CORBA_Environment _t237_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t234_ignore);
                                                flick_xdr_decode_unsigned32(4, _t234_ignore);
                                                flick_xdr_decode_unsigned32(8, _t234_ignore);
                                                flick_xdr_decode_unsigned32(12, _t234_ignore);
                                                flick_xdr_decode_unsigned32(16, _local_a);
                                                _local_b = &_t235_storage;
                                                flick_xdr_decode_unsigned32(20, *_local_b);
                                                _local_c = &_t236_storage;
                                                _ev = &_t237_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_unsigned32(0, _return);
                                                      flick_xdr_encode_unsigned32(4, *_local_b);
                                                      flick_xdr_encode_unsigned32(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(16);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t238_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t238_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t238_switch_tag)
                  {
                  case 'l':
                    {
                      char _t239_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t239_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t239_switch_tag)
                        {
                        case 'o':
                          {
                            char _t240_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t240_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t240_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t241_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t241_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t241_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t242_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t242_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t242_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                unsigned int _t243_ignore;
                                                CORBA_float _t244_storage;
                                                CORBA_float _t245_storage;
                                                CORBA_Environment _t246_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t243_ignore);
                                                flick_xdr_decode_unsigned32(4, _t243_ignore);
                                                flick_xdr_decode_unsigned32(8, _t243_ignore);
                                                flick_xdr_decode_unsigned32(12, _t243_ignore);
                                                flick_xdr_decode_float32(16, _local_a);
                                                _local_b = &_t244_storage;
                                                flick_xdr_decode_float32(20, *_local_b);
                                                _local_c = &_t245_storage;
                                                _ev = &_t246_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_float32(0, _return);
                                                      flick_xdr_encode_float32(4, *_local_b);
                                                      flick_xdr_encode_float32(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(16);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t247_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t247_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t247_switch_tag)
                  {
                  case 'c':
                    {
                      char _t248_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t248_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t248_switch_tag)
                        {
                        case 't':
                          {
                            char _t249_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t249_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t249_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t250_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t250_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t250_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t251_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t251_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t251_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                unsigned int _t252_ignore;
                                                CORBA_octet _t253_storage;
                                                CORBA_octet _t254_storage;
                                                CORBA_Environment _t255_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t252_ignore);
                                                flick_xdr_decode_unsigned32(4, _t252_ignore);
                                                flick_xdr_decode_unsigned32(8, _t252_ignore);
                                                flick_xdr_decode_unsigned32(12, _t252_ignore);
                                                flick_xdr_decode_unsigned8(16, _local_a);
                                                _local_b = &_t253_storage;
                                                flick_xdr_decode_unsigned8(20, *_local_b);
                                                _local_c = &_t254_storage;
                                                _ev = &_t255_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_unsigned8(0, _return);
                                                      flick_xdr_encode_unsigned8(4, *_local_b);
                                                      flick_xdr_encode_unsigned8(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(16);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t256_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t256_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t256_switch_tag)
                  {
                  case 'r':
                    {
                      char _t257_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t257_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t257_switch_tag)
                        {
                        case 'r':
                          {
                            char _t258_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t258_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t258_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t259_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t259_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t259_switch_tag)
                                    {
                                    case 'y':
                                      {
                                        char _t260_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t260_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t260_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_long *_local_a;
                                                CORBA_long *_local_b;
                                                CORBA_long *_local_c;
                                                CORBA_Environment *_ev;
                                                test_arr_slice *_return = 0;
                                                unsigned int _t261_ignore;
                                                flick_unsigned8_t _t262_array_length;
                                                flick_unsigned8_t _t263_array_iter;
                                                flick_unsigned8_t _t264_array_length;
                                                flick_unsigned8_t _t265_array_iter;
                                                CORBA_long _t267_storage[10];
                                                CORBA_Environment _t268_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t261_ignore);
                                                flick_xdr_decode_unsigned32(4, _t261_ignore);
                                                flick_xdr_decode_unsigned32(8, _t261_ignore);
                                                flick_xdr_decode_unsigned32(12, _t261_ignore);
                                                _t262_array_length = 10;
                                                flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                _local_a = auto_flick_alloc(_t262_array_length * sizeof(CORBA_long ));
                                                for (_t263_array_iter = 0; _t263_array_iter < _t262_array_length; _t263_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_a[_t263_array_iter]);
                                                    flick_suntcp_decode_end_chunk(4);
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_suntcp_decode_new_chunk(40);
                                                flick_xdr_decode_msgptr(0, _local_a);
                                                flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
                                                _t264_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
                                                _local_b = auto_flick_alloc(_t264_array_length * sizeof(CORBA_long ));
                                                for (_t265_array_iter = 0; _t265_array_iter < _t264_array_length; _t265_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_b[_t265_array_iter]);
                                                    flick_suntcp_decode_end_chunk(4);
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_suntcp_decode_new_chunk(40);
                                                _local_b = auto_flick_alloc(_t264_array_length * sizeof(CORBA_long ));
                                                flick_xdr_decode_bcopy(0, _local_b, 4 * _t264_array_length);
                                                flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
                                                _local_c = _t267_storage;
                                                _ev = &_t268_storage;
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(124);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_unsigned8_t _t272_array_iter;
                                                      flick_unsigned8_t _t273_array_iter;
                                                      flick_unsigned8_t _t274_array_iter;

#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t272_array_iter = 0; _t272_array_iter < 10; _t272_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, _return[_t272_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
                                                      CORBA_flick_free(_return);
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_suntcp_encode_new_chunk(40);
                                                      flick_xdr_encode_bcopy(0, _return, 4 * 10);
                                                      CORBA_flick_free(_return);
                                                      flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t273_array_iter = 0; _t273_array_iter < 10; _t273_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, _local_b[_t273_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_suntcp_encode_new_chunk(40);
                                                      flick_xdr_encode_bcopy(0, _local_b, 4 * 10);
                                                      flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t274_array_iter = 0; _t274_array_iter < 10; _t274_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, _local_c[_t274_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_suntcp_encode_new_chunk(40);
                                                      flick_xdr_encode_bcopy(0, _local_c, 4 * 10);
                                                      flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(124);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t275_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t275_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t275_switch_tag)
            {
            case 'L':
              {
                char _t276_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t276_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t276_switch_tag)
                  {
                  case 'o':
                    {
                      char _t277_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t277_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t277_switch_tag)
                        {
                        case 'n':
                          {
                            char _t278_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t278_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t278_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t279_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t279_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t279_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t280_ignore;
                                          CORBA_long _t281_storage;
                                          CORBA_long _t282_storage;
                                          CORBA_Environment _t283_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t280_ignore);
                                          flick_xdr_decode_unsigned32(4, _t280_ignore);
                                          flick_xdr_decode_unsigned32(8, _t280_ignore);
                                          flick_xdr_decode_unsigned32(12, _t280_ignore);
                                          flick_xdr_decode_signed32(16, _local_a);
                                          _local_b = &_t281_storage;
                                          flick_xdr_decode_signed32(20, *_local_b);
                                          _local_c = &_t282_storage;
                                          _ev = &_t283_storage;
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_signed32(0, _return);
                                                flick_xdr_encode_signed32(4, *_local_b);
                                                flick_xdr_encode_signed32(8, *_local_c);
                                                flick_suntcp_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(16);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t284_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t284_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t284_switch_tag)
                  {
                  case 'h':
                    {
                      char _t285_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t285_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t285_switch_tag)
                        {
                        case 'a':
                          {
                            char _t286_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t286_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t286_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t287_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t287_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t287_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          unsigned int _t288_ignore;
                                          CORBA_char _t289_storage;
                                          CORBA_char _t290_storage;
                                          CORBA_Environment _t291_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t288_ignore);
                                          flick_xdr_decode_unsigned32(4, _t288_ignore);
                                          flick_xdr_decode_unsigned32(8, _t288_ignore);
                                          flick_xdr_decode_unsigned32(12, _t288_ignore);
                                          flick_xdr_decode_char8(16, _local_a);
                                          _local_b = &_t289_storage;
                                          flick_xdr_decode_char8(20, *_local_b);
                                          _local_c = &_t290_storage;
                                          _ev = &_t291_storage;
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_char8(0, _return);
                                                flick_xdr_encode_char8(4, *_local_b);
                                                flick_xdr_encode_char8(8, *_local_c);
                                                flick_suntcp_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(16);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'E':
              {
                char _t292_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t292_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t292_switch_tag)
                  {
                  case 'n':
                    {
                      char _t293_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t293_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t293_switch_tag)
                        {
                        case 'u':
                          {
                            char _t294_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t294_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t294_switch_tag)
                              {
                              case 'm':
                                {
                                  char _t295_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t295_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t295_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          Enumeration _local_a;
                                          Enumeration *_local_b;
                                          Enumeration *_local_c;
                                          CORBA_Environment *_ev;
                                          Enumeration _return;
                                          unsigned int _t296_ignore;
                                          Enumeration _t297_storage;
                                          Enumeration _t298_storage;
                                          CORBA_Environment _t299_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t296_ignore);
                                          flick_xdr_decode_unsigned32(4, _t296_ignore);
                                          flick_xdr_decode_unsigned32(8, _t296_ignore);
                                          flick_xdr_decode_unsigned32(12, _t296_ignore);
                                          flick_xdr_decode_unsigned32(16, _local_a);
                                          _local_b = &_t297_storage;
                                          flick_xdr_decode_unsigned32(20, *_local_b);
                                          _local_c = &_t298_storage;
                                          _ev = &_t299_storage;
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_unsigned32(0, _return);
                                                flick_xdr_encode_unsigned32(4, *_local_b);
                                                flick_xdr_encode_unsigned32(8, *_local_c);
                                                flick_suntcp_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(16);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t300_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t300_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t300_switch_tag)
            {
            case 'U':
              {
                char _t301_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t301_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t301_switch_tag)
                  {
                  case 'S':
                    {
                      char _t302_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t302_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t302_switch_tag)
                        {
                        case 'h':
                          {
                            char _t303_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t303_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t303_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t304_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t304_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t304_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t305_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t305_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t305_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t306_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t306_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t306_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_unsigned_short _return = 0;
                                                      unsigned int _t307_ignore;
                                                      CORBA_unsigned_short _t308_storage;
                                                      CORBA_unsigned_short _t309_storage;
                                                      CORBA_Environment _t310_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(24);
                                                      flick_xdr_decode_unsigned32(0, _t307_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t307_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t307_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t307_ignore);
                                                      flick_xdr_decode_unsigned16(16, _local_a);
                                                      _local_b = &_t308_storage;
                                                      flick_xdr_decode_unsigned16(20, *_local_b);
                                                      _local_c = &_t309_storage;
                                                      _ev = &_t310_storage;
                                                      flick_suntcp_decode_end_chunk(24);
                                                      flick_suntcp_decode_end_glob(144);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(16);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(12);
                                                            flick_xdr_encode_unsigned16(0, _return);
                                                            flick_xdr_encode_unsigned16(4, *_local_b);
                                                            flick_xdr_encode_unsigned16(8, *_local_c);
                                                            flick_suntcp_encode_end_chunk(12);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t311_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t311_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t311_switch_tag)
                  {
                  case 't':
                    {
                      char _t312_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t312_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t312_switch_tag)
                        {
                        case 'r':
                          {
                            char _t313_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t313_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t313_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t314_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t314_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t314_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t315_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t315_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t315_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t316_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t316_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t316_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_char *_local_a;
                                                      CORBA_char **_local_b;
                                                      CORBA_char **_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_char *_return = 0;
                                                      unsigned int _t317_ignore;
                                                      CORBA_char *_t318_storage;
                                                      CORBA_char *_t319_storage;
                                                      CORBA_Environment _t320_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t317_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t317_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t317_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t317_ignore);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(144);
                                                      flick_xdr_decode_auto_string(_local_a, auto_flick_alloc, suntcp);
                                                      _local_b = &_t318_storage;
                                                      flick_xdr_decode_longstring(*_local_b, CORBA_flick_alloc, suntcp);
                                                      _local_c = &_t319_storage;
                                                      _ev = &_t320_storage;
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                            flick_xdr_encode_longstring(*_local_b, CORBA_flick_free, suntcp);
                                                            flick_xdr_encode_longstring(*_local_c, CORBA_flick_free, suntcp);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t321_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t321_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t321_switch_tag)
            {
            case 'B':
              {
                char _t322_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t322_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t322_switch_tag)
                  {
                  case 'o':
                    {
                      char _t323_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t323_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t323_switch_tag)
                        {
                        case 'o':
                          {
                            char _t324_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t324_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t324_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t325_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t325_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t325_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t326_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t326_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t326_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t327_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t327_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t327_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t328_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t328_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t328_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_Environment *_ev;
                                                            CORBA_boolean _return = 0;
                                                            unsigned int _t329_ignore;
                                                            CORBA_boolean _t330_storage;
                                                            CORBA_boolean _t331_storage;
                                                            CORBA_Environment _t332_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t329_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t329_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t329_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t329_ignore);
                                                            flick_xdr_decode_unsigned8(16, _local_a);
                                                            _local_b = &_t330_storage;
                                                            flick_xdr_decode_unsigned8(20, *_local_b);
                                                            _local_c = &_t331_storage;
                                                            _ev = &_t332_storage;
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(144);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(16);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(12);
                                                                  flick_xdr_encode_unsigned8(0, _return);
                                                                  flick_xdr_encode_unsigned8(4, *_local_b);
                                                                  flick_xdr_encode_unsigned8(8, *_local_c);
                                                                  flick_suntcp_encode_end_chunk(12);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(16);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t333_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t333_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t333_switch_tag)
            {
            case 'F':
              {
                char _t334_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t334_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t334_switch_tag)
                  {
                  case 'i':
                    {
                      char _t335_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t335_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t335_switch_tag)
                        {
                        case 'x':
                          {
                            char _t336_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t336_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t336_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t337_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t337_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t337_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t338_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t338_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t338_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t339_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t339_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t339_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t340_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t340_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t340_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t341_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t341_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t341_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t342_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t342_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t342_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t343_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t343_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t343_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t344_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t344_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t344_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    struct FStruct *_local_a;
                                                                                    struct FStruct *_local_b;
                                                                                    struct FStruct *_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    struct FStruct _return;
                                                                                    unsigned int _t345_ignore;
                                                                                    struct FStruct _t346_storage;
                                                                                    struct FStruct _t347_storage;
                                                                                    struct FStruct _t348_storage;
                                                                                    CORBA_Environment _t349_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(24);
                                                                                    flick_xdr_decode_unsigned32(0, _t345_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t345_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t345_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t345_ignore);
                                                                                    _local_a = &_t346_storage;
                                                                                    flick_xdr_decode_signed16(16, _local_a->a);
                                                                                    _local_b = &_t347_storage;
                                                                                    flick_xdr_decode_signed16(20, _local_b->a);
                                                                                    _local_c = &_t348_storage;
                                                                                    _ev = &_t349_storage;
                                                                                    flick_suntcp_decode_end_chunk(24);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(16);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(12);
                                                                                          flick_xdr_encode_signed16(0, _return.a);
                                                                                          flick_xdr_encode_signed16(4, _local_b->a);
                                                                                          flick_xdr_encode_signed16(8, _local_c->a);
                                                                                          flick_suntcp_encode_end_chunk(12);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(16);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'B':
              {
                char _t350_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t350_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t350_switch_tag)
                  {
                  case 'o':
                    {
                      char _t351_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t351_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t351_switch_tag)
                        {
                        case 'u':
                          {
                            char _t352_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t352_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t352_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t353_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t353_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t353_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t354_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t354_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t354_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t355_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t355_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t355_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t356_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t356_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t356_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t357_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t357_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t357_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t358_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t358_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t358_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t359_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t359_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t359_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t360_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t360_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t360_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    CORBA_char *_local_a;
                                                                                    CORBA_char **_local_b;
                                                                                    CORBA_char **_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    unsigned int _t361_ignore;
                                                                                    CORBA_char *_t362_storage;
                                                                                    CORBA_char *_t363_storage;
                                                                                    CORBA_Environment _t364_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                    flick_xdr_decode_unsigned32(0, _t361_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t361_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t361_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t361_ignore);
                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    flick_xdr_decode_auto_string(_local_a, auto_flick_alloc, suntcp);
                                                                                    _local_b = &_t362_storage;
                                                                                    flick_xdr_decode_string(*_local_b, CORBA_flick_alloc, suntcp, 20);
                                                                                    _local_c = &_t363_storage;
                                                                                    _ev = &_t364_storage;
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 20);
                                                                                          flick_xdr_encode_string(*_local_b, CORBA_flick_free, suntcp, 20);
                                                                                          flick_xdr_encode_string(*_local_c, CORBA_flick_free, suntcp, 20);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t365_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t365_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t365_switch_tag)
            {
            case 'V':
              {
                char _t366_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t366_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t366_switch_tag)
                  {
                  case 'a':
                    {
                      char _t367_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t367_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t367_switch_tag)
                        {
                        case 'r':
                          {
                            char _t368_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t368_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t368_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t369_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t369_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t369_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t370_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t370_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t370_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t371_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t371_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t371_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t372_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t372_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t372_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t373_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t373_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t373_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t374_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t374_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t374_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test _obj;
                                                                        struct VStruct *_local_a;
                                                                        struct VStruct *_local_b;
                                                                        struct VStruct **_local_c;
                                                                        CORBA_Environment *_ev;
                                                                        struct VStruct *_return = 0;
                                                                        unsigned int _t375_ignore;
                                                                        struct VStruct _t376_storage;
                                                                        struct VStruct _t377_storage;
                                                                        struct VStruct *_t378_storage;
                                                                        CORBA_Environment _t379_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t375_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t375_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t375_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t375_ignore);
                                                                        _local_a = &_t376_storage;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        flick_xdr_decode_auto_string(_local_a->a, auto_flick_alloc, suntcp);
                                                                        _local_b = &_t377_storage;
                                                                        flick_xdr_decode_longstring(_local_b->a, CORBA_flick_alloc, suntcp);
                                                                        _local_c = &_t378_storage;
                                                                        _ev = &_t379_storage;
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_xdr_encode_longstring(_return->a, CORBA_flick_free, suntcp);
                                                                              CORBA_flick_free(_return);
                                                                              flick_xdr_encode_longstring(_local_b->a, CORBA_flick_free, suntcp);
                                                                              flick_xdr_encode_longstring((*_local_c)->a, CORBA_flick_free, suntcp);
                                                                              CORBA_flick_free(*_local_c);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(4);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t380_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t380_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t380_switch_tag)
            {
            case 'F':
              {
                char _t381_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t381_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t381_switch_tag)
                  {
                  case 'i':
                    {
                      char _t382_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t382_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t382_switch_tag)
                        {
                        case 'x':
                          {
                            char _t383_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t383_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t383_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t384_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t384_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t384_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t385_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t385_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t385_switch_tag)
                                          {
                                          case 'U':
                                            {
                                              char _t386_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t386_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t386_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t387_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t387_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t387_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t388_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t388_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t388_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t389_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t389_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t389_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t390_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t390_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t390_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              struct FUnion *_local_a;
                                                                              struct FUnion *_local_b;
                                                                              struct FUnion *_local_c;
                                                                              CORBA_Environment *_ev;
                                                                              struct FUnion _return;
                                                                              unsigned int _t391_ignore;
                                                                              struct FUnion _t392_storage;
                                                                              struct FUnion _t393_storage;
                                                                              struct FUnion _t394_storage;
                                                                              CORBA_Environment _t395_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t391_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t391_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t391_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t391_ignore);
                                                                              _local_a = &_t392_storage;
                                                                              flick_xdr_decode_signed32(16, _local_a->_d);
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              switch (_local_a->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_signed32(0, _local_a->_u.x);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _local_a->_u.z);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_b = &_t393_storage;
                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_signed32(0, _local_b->_d);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch (_local_b->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_signed32(0, _local_b->_u.x);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _local_b->_u.z);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_c = &_t394_storage;
                                                                              _ev = &_t395_storage;
                                                                              flick_suntcp_decode_end_glob(144);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(28);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _return._d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_return._d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _return._u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _return._u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _local_b->_d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_local_b->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _local_b->_u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _local_b->_u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _local_c->_d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_local_c->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _local_c->_u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _local_c->_u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(28);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t396_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t396_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t396_switch_tag)
            {
            case 'V':
              {
                char _t397_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t397_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t397_switch_tag)
                  {
                  case 'a':
                    {
                      char _t398_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t398_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t398_switch_tag)
                        {
                        case 'r':
                          {
                            char _t399_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t399_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t399_switch_tag)
                              {
                              case 'U':
                                {
                                  char _t400_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t400_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t400_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t401_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t401_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t401_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t402_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t402_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t402_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t403_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t403_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t403_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t404_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t404_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t404_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  struct VUnion *_local_a;
                                                                  struct VUnion *_local_b;
                                                                  struct VUnion **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  struct VUnion *_return = 0;
                                                                  unsigned int _t405_ignore;
                                                                  struct VUnion _t406_storage;
                                                                  struct VUnion _t407_storage;
                                                                  struct VUnion *_t408_storage;
                                                                  CORBA_Environment _t409_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t405_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t405_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t405_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t405_ignore);
                                                                  _local_a = &_t406_storage;
                                                                  flick_xdr_decode_signed32(16, _local_a->_d);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  switch (_local_a->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        flick_xdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_a->_u.z);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        break;
                                                                      }
                                                                    }
                                                                  _local_b = &_t407_storage;
                                                                  flick_suntcp_decode_new_glob(11);
                                                                  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                                  flick_xdr_decode_signed32(0, _local_b->_d);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch (_local_b->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_suntcp_decode_end_glob(11);
                                                                        flick_xdr_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_b->_u.z);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(11);
                                                                        break;
                                                                      }
                                                                    }
                                                                  _local_c = &_t408_storage;
                                                                  _ev = &_t409_storage;
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(12);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_return->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              flick_xdr_encode_longstring(_return->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(_return);
                                                                        flick_suntcp_encode_new_glob(11);
                                                                        flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_xdr_encode_signed32(0, _local_b->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_local_b->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(11);
                                                                              flick_xdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_b->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(11);
                                                                              break;
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_new_glob(11);
                                                                        flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_xdr_encode_signed32(0, (*_local_c)->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch ((*_local_c)->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(11);
                                                                              flick_xdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, (*_local_c)->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(11);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(*_local_c);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(12);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(12);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t410_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t410_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t410_switch_tag)
                  {
                  case 'e':
                    {
                      char _t411_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t411_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t411_switch_tag)
                        {
                        case 'q':
                          {
                            char _t412_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t412_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t412_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t413_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t413_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t413_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t414_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t414_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t414_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t415_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t415_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t415_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t416_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t416_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t416_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t417_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t417_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t417_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  test_seq *_local_a;
                                                                  test_seq *_local_b;
                                                                  test_seq **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  test_seq *_return = 0;
                                                                  unsigned int _t418_ignore;
                                                                  test_seq _t419_storage;
                                                                  unsigned long int _t420_array_iter;
                                                                  test_seq _t421_storage;
                                                                  unsigned long int _t422_array_iter;
                                                                  test_seq *_t423_storage;
                                                                  CORBA_Environment _t424_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t418_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t418_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t418_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t418_ignore);
                                                                  _local_a = &_t419_storage;
                                                                  flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                  for (_t420_array_iter = 0; _t420_array_iter < _local_a->_length; _t420_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_a->_buffer[_t420_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                  flick_xdr_decode_msgptr(0, _local_a->_buffer);
                                                                  flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                  _local_b = &_t421_storage;
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_unsigned32(0, _local_b->_length);
                                                                  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                                                                  for (_t422_array_iter = 0; _t422_array_iter < _local_b->_length; _t422_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_b->_buffer[_t422_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(4 * _local_b->_length);
                                                                  _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                                                                  flick_xdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                                                  flick_suntcp_decode_end_chunk(4 * _local_b->_length);
#endif /* ENDIANness */
                                                                  _local_c = &_t423_storage;
                                                                  _ev = &_t424_storage;
                                                                  flick_suntcp_decode_end_glob(144);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(136);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t428_array_iter;
                                                                        unsigned long int _t429_array_iter;
                                                                        unsigned long int _t430_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _return->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t428_array_iter = 0; _t428_array_iter < _return->_length; _t428_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return->_buffer[_t428_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
                                                                        CORBA_flick_free(_return->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(4 * _return->_length);
                                                                        flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                                                        CORBA_flick_free(_return);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _local_b->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t429_array_iter = 0; _t429_array_iter < _local_b->_length; _t429_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_b->_buffer[_t429_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
                                                                        CORBA_flick_free(_local_b->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(4 * _local_b->_length);
                                                                        flick_xdr_encode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                                                        CORBA_flick_free(_local_b->_buffer);
                                                                        flick_suntcp_encode_end_chunk(4 * _local_b->_length);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, (*_local_c)->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t430_array_iter = 0; _t430_array_iter < (*_local_c)->_length; _t430_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, (*_local_c)->_buffer[_t430_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
                                                                        CORBA_flick_free((*_local_c)->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(4 * (*_local_c)->_length);
                                                                        flick_xdr_encode_bcopy(0, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                                                        CORBA_flick_free((*_local_c)->_buffer);
                                                                        flick_suntcp_encode_end_chunk(4 * (*_local_c)->_length);
#endif /* ENDIANness */
                                                                        CORBA_flick_free(*_local_c);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(136);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(144);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
