#include "program-2-client.h"

void flick_marshal_stub_parm(flick_marshal_stream_t _stream, const struct parm *_data)
{
  unsigned long int _t0_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->data.data_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->data.data_len);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->data.data_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data.data_val[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->data.data_len);
  flick_xdr_encode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_suntcp_encode_end_chunk(4 * _data->data.data_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->data.data_len);
}

void flick_unmarshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->data.data_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->data.data_len);
#if BYTE_ORDER != BIG_ENDIAN
  _data->data.data_val = sun_flick_alloc(_data->data.data_len * sizeof(int ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->data.data_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data.data_val[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->data.data_len);
  _data->data.data_val = sun_flick_alloc(_data->data.data_len * sizeof(int ));
  flick_xdr_decode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_suntcp_decode_end_chunk(4 * _data->data.data_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->data.data_len);
}

int *op_1(struct parm *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t3_array_iter;

    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 10);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, arg->data.data_len);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
    flick_suntcp_encode_new_glob(4 * arg->data.data_len);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t3_array_iter = 0; _t3_array_iter < arg->data.data_len; _t3_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->data.data_val[_t3_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * arg->data.data_len);
    flick_xdr_encode_bcopy(0, arg->data.data_val, 4 * arg->data.data_len);
    flick_suntcp_encode_end_chunk(4 * arg->data.data_len);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * arg->data.data_len);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t5_storage;

            _return = &_t5_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

