#include "union-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_a;
	s.vers_num = _VERS_a;

	reg_success = flick_server_register(s, &a_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const struct Bar *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->b1);
  flick_xdr_encode_char8(4, _data->b2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->b1);
  flick_xdr_decode_char8(4, _data->b2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, _data->_u.y.b1);
        flick_xdr_encode_char8(4, _data->_u.y.b2);
        flick_suntcp_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_new_chunk(8);
        flick_xdr_decode_signed32(0, _data->_u.y.b1);
        flick_xdr_decode_char8(4, _data->_u.y.b2);
        flick_suntcp_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.y._d);
        flick_suntcp_encode_end_chunk(4);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, _data->_u.y._u.x);
              flick_suntcp_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_suntcp_encode_new_chunk(8);
              flick_xdr_encode_signed32(0, _data->_u.y._u.y.b1);
              flick_xdr_encode_char8(4, _data->_u.y._u.y.b2);
              flick_suntcp_encode_end_chunk(8);
              break;
            }
          default:
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_char8(0, _data->_u.y._u.z);
              flick_suntcp_encode_end_chunk(4);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.y._d);
        flick_suntcp_decode_end_chunk(4);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_suntcp_decode_new_chunk(4);
              flick_xdr_decode_signed32(0, _data->_u.y._u.x);
              flick_suntcp_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_suntcp_decode_new_chunk(8);
              flick_xdr_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_xdr_decode_char8(4, _data->_u.y._u.y.b2);
              flick_suntcp_decode_end_chunk(8);
              break;
            }
          default:
            {
              flick_suntcp_decode_new_chunk(4);
              flick_xdr_decode_char8(0, _data->_u.y._u.z);
              flick_suntcp_decode_end_chunk(4);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const struct a_astruct *_data)
{
  flick_suntcp_encode_new_glob(36);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->a1._d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->a1._u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->a1._u.y._d);
        flick_suntcp_encode_end_chunk(4);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, _data->a1._u.y._u.x);
              flick_suntcp_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_suntcp_encode_new_chunk(8);
              flick_xdr_encode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_xdr_encode_char8(4, _data->a1._u.y._u.y.b2);
              flick_suntcp_encode_end_chunk(8);
              break;
            }
          default:
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_char8(0, _data->a1._u.y._u.z);
              flick_suntcp_encode_end_chunk(4);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->a2._d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->a2._u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, _data->a2._u.y.b1);
        flick_xdr_encode_char8(4, _data->a2._u.y.b2);
        flick_suntcp_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->a2._u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a3.b1);
  flick_xdr_encode_char8(4, _data->a3.b2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(36);
}

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_suntcp_decode_new_glob(36);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->a1._d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->a1._u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->a1._u.y._d);
        flick_suntcp_decode_end_chunk(4);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_suntcp_decode_new_chunk(4);
              flick_xdr_decode_signed32(0, _data->a1._u.y._u.x);
              flick_suntcp_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_suntcp_decode_new_chunk(8);
              flick_xdr_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_xdr_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_suntcp_decode_end_chunk(8);
              break;
            }
          default:
            {
              flick_suntcp_decode_new_chunk(4);
              flick_xdr_decode_char8(0, _data->a1._u.y._u.z);
              flick_suntcp_decode_end_chunk(4);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->a2._d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->a2._u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_new_chunk(8);
        flick_xdr_decode_signed32(0, _data->a2._u.y.b1);
        flick_xdr_decode_char8(4, _data->a2._u.y.b2);
        flick_suntcp_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->a2._u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a3.b1);
  flick_xdr_decode_char8(4, _data->a3.b2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(36);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t a_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t8_switch_tag;

    flick_suntcp_decode_new_glob(72);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t8_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t8_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t9_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t9_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t9_switch_tag)
            {
            case 'o':
              {
                char _t10_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t10_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t10_switch_tag)
                  {
                  case 'p':
                    {
                      char _t11_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t11_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t11_switch_tag)
                        {
                        case 'A':
                          {
                            char _t12_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t12_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t12_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    a _obj;
                                    struct a_astruct *_local_b;
                                    CORBA_Environment *_ev;
                                    struct Foo2 _return;
                                    unsigned int _t13_ignore;
                                    struct a_astruct _t14_storage;
                                    CORBA_Environment _t15_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t13_ignore);
                                    flick_xdr_decode_unsigned32(4, _t13_ignore);
                                    flick_xdr_decode_unsigned32(8, _t13_ignore);
                                    flick_xdr_decode_unsigned32(12, _t13_ignore);
                                    _local_b = &_t14_storage;
                                    flick_xdr_decode_char8(16, _local_b->a1._d);
                                    flick_suntcp_decode_end_chunk(20);
                                    switch (_local_b->a1._d)
                                      {
                                      case 'a':
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed32(0, _local_b->a1._u.x);
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                        }
                                      case 'b':
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed32(0, _local_b->a1._u.y._d);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch (_local_b->a1._u.y._d)
                                            {
                                            case 1:
                                              {
                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_signed32(0, _local_b->a1._u.y._u.x);
                                                flick_suntcp_decode_end_chunk(4);
                                                break;
                                              }
                                            case 2:
                                              {
                                                flick_suntcp_decode_new_chunk(8);
                                                flick_xdr_decode_signed32(0, _local_b->a1._u.y._u.y.b1);
                                                flick_xdr_decode_char8(4, _local_b->a1._u.y._u.y.b2);
                                                flick_suntcp_decode_end_chunk(8);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _local_b->a1._u.y._u.z);
                                                flick_suntcp_decode_end_chunk(4);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_signed32(0, _local_b->a2._d);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch (_local_b->a2._d)
                                      {
                                      case 1:
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed32(0, _local_b->a2._u.x);
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                        }
                                      case 2:
                                        {
                                          flick_suntcp_decode_new_chunk(8);
                                          flick_xdr_decode_signed32(0, _local_b->a2._u.y.b1);
                                          flick_xdr_decode_char8(4, _local_b->a2._u.y.b2);
                                          flick_suntcp_decode_end_chunk(8);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _local_b->a2._u.z);
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                        }
                                      }
                                    flick_suntcp_decode_new_chunk(8);
                                    flick_xdr_decode_signed32(0, _local_b->a3.b1);
                                    flick_xdr_decode_char8(4, _local_b->a3.b2);
                                    _ev = &_t15_storage;
                                    flick_suntcp_decode_end_chunk(8);
                                    flick_suntcp_decode_end_glob(72);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = a_opA(_obj, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_char8(0, _return._d);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case 'a':
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _return._u.x);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            case 'b':
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _return._u.y._d);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_return._u.y._d)
                                                  {
                                                  case 1:
                                                    {
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _return._u.y._u.x);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case 2:
                                                    {
                                                      flick_suntcp_encode_new_chunk(8);
                                                      flick_xdr_encode_signed32(0, _return._u.y._u.y.b1);
                                                      flick_xdr_encode_char8(4, _return._u.y._u.y.b2);
                                                      flick_suntcp_encode_end_chunk(8);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_char8(0, _return._u.y._u.z);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(72);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
